actions_lookup = {
    ACCELERATING_SHOT = {
     description = "$actiondesc_accelerating_shot",
     mana = 20,
     name = "$action_accelerating_shot",price = 190,
     sprite = "data/ui_gfx/gun_actions/accelerating_shot.png",
     type = 4,
    },
    ACIDSHOT = {
     description = "$actiondesc_acidshot",
     mana = 20,
     max_uses = 20,
     name = "$action_acidshot",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/acidshot.png",
     type = 0,
    },
    ACID_TRAIL = {
     description = "$actiondesc_acid_trail",
     mana = 15,
     name = "$action_acid_trail",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/acid_trail.png",
     type = 4,
    },
    ADD_DEATH_TRIGGER = {
     description = "$actiondesc_add_death_trigger",
     mana = 20,
     name = "$action_add_death_trigger",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/death_trigger.png",
     type = 1,
    },
    ADD_TIMER = {
     description = "$actiondesc_add_timer",
     mana = 20,
     name = "$action_add_timer",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/timer.png",
     type = 2,
    },
    ADD_TRIGGER = {
     description = "$actiondesc_add_trigger",
   mana = 10,
     name = "$action_add_trigger",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/trigger.png",
     type = 1,
    },
    AIR_BULLET = {
     description = "$actiondesc_air_bullet",
     mana = 5,
     name = "$action_air_bullet",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/air_bullet.png",
     type = 0,
    },
    ALCOHOL_BLAST = {
     description = "$actiondesc_alcohol_blast",
     mana = 30,
     name = "$action_alcohol_blast",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/alcohol_blast.png",
     type = 3,
    },
    ALL_ACID = {
     description = "$actiondesc_all_acid",
     mana = 200,
     name = "$action_all_acid",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/all_acid.png",
     type = 8,
    },
    ALL_BLACKHOLES = {
     description = "$actiondesc_all_blackholes",
     mana = 200,
     max_uses = 10,
   name = "$action_all_blackholes",
     price = 500,
     sprite = "data/ui_gfx/gun_actions/all_blackholes.png",
     type = 8,
    },
    ALL_DEATHCROSSES = {
     description = "$actiondesc_all_deathcrosses",
     mana = 80,
     max_uses = 15,
     name = "$action_all_deathcrosses",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/all_deathcrosses.png",
     type = 8,
    },
    ALL_DISCS = {
     description = "$actiondesc_all_discs",
     mana = 100,
     name = "$action_all_discs",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/all_discs.png",
     type = 8,
    },
    ALL_NUKES = {
     description = "$actiondesc_all_nukes",
     mana = 600,
     max_uses = 2,name = "$action_all_nukes",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/all_nukes.png",
     type = 8,
    },
    ALL_ROCKETS = {
     description = "$actiondesc_all_rockets",
     mana = 100,
     max_uses = 10,
     name = "$action_all_rockets",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/all_rockets.png",
     type = 8,
    },
    ALL_SPELLS = {
     description = "$actiondesc_all_spells",
     mana = 600,
     max_uses = 1,
     name = "$action_all_spells",
     price = 1000,
     sprite = "data/ui_gfx/gun_actions/all_spells.png",
     type = 7,
    },
    ALPHA = {
     description = "$actiondesc_alpha",
     mana = 30,
     name = "$action_alpha",
     price = 200,
   sprite = "data/ui_gfx/gun_actions/alpha.png",
     type = 7,
    },
    ARC_ELECTRIC = {
     description = "$actiondesc_arc_electric",
     mana = 15,
     name = "$action_arc_electric",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/arc_electric.png",
     type = 4,
    },
    ARC_FIRE = {
     description = "$actiondesc_arc_fire",
     mana = 15,
     name = "$action_arc_fire",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/arc_fire.png",
     type = 4,
    },
    ARC_GUNPOWDER = {
     description = "$actiondesc_arc_gunpowder",
     mana = 15,
     name = "$action_arc_gunpowder",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/arc_gunpowder.png",
     type = 4,
    },
    ARC_POISON = {
     description = "$actiondesc_arc_poison",
     mana = 15,
     name = "$action_arc_poison",
   price = 160,
     sprite = "data/ui_gfx/gun_actions/arc_poison.png",
     type = 4,
    },
    AREA_DAMAGE = {
     description = "$actiondesc_area_damage",
     mana = 30,
     name = "$action_area_damage",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/area_damage.png",
     type = 4,
    },
    ARROW = {
     description = "$actiondesc_arrow",
     mana = 15,
     name = "$action_arrow",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/arrow.png",
     type = 0,
    },
    AUTOAIM = {
     description = "$actiondesc_autoaim",
     mana = 25,
     name = "$action_autoaim",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/autoaim.png",
     type = 4,
    },
   AVOIDING_ARC = {
     description = "$actiondesc_avoiding_arc",
     mana = 0,
     name = "$action_avoiding_arc",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/avoiding_arc.png",
     type = 4,
    },
    BALL_LIGHTNING = {
     description = "$actiondesc_ball_lightning",
     mana = 70,
     name = "$action_ball_lightning",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/ball_lightning.png",
     type = 0,
    },
    BERSERK_FIELD = {
     description = "$actiondesc_berserk_field",
     mana = 30,
     max_uses = 15,
     name = "$action_berserk_field",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/berserk_field.png",
     type = 3,
    },
    BIG_MAGIC_SHIELD = {
     description = "$actiondesc_big_magic_shield",
     mana = 60,
     name = "$action_big_magic_shield",price = 120,
     sprite = "data/ui_gfx/gun_actions/big_magic_shield.png",
     type = 0,
    },
    BLACK_HOLE = {
     description = "$actiondesc_black_hole",
     mana = 180,
     max_uses = 3,
     name = "$action_black_hole",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/black_hole.png",
     type = 0,
    },
    BLACK_HOLE_BIG = {
     description = "$actiondesc_black_hole_big",
     mana = 240,
     max_uses = 6,
     name = "$action_black_hole_big",
     price = 320,
     sprite = "data/ui_gfx/gun_actions/black_hole_big.png",
     type = 3,
    },
    BLACK_HOLE_DEATH_TRIGGER = {
     description = "$actiondesc_black_hole_death_trigger",
     mana = 200,
     max_uses = 3,
     name = "$action_black_hole_death_trigger",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/black_hole_timer.png",
     type = 2,
    },
    BLACK_HOLE_GIGA = {
     description = "$actiondesc_black_hole_giga",
     mana = 500,
     max_uses = 6,
     name = "$action_black_hole_giga",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/black_hole_giga.png",
     type = 3,
    },
    BLOODLUST = {
     description = "$actiondesc_bloodlust",
     mana = 2,
     name = "$action_bloodlust",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/bloodlust.png",
     type = 4,
    },
    BLOOD_MAGIC = {
     description = "$actiondesc_blood_magic",
     mana = -100,
     name = "$action_blood_magic",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/blood_magic.png",
     type = 8,
    },
    BLOOD_TO_ACID = {
     description = "$actiondesc_blood_to_acid",
     mana = 30,name = "$action_blood_to_acid",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/blood_to_acid.png",
     type = 4,
    },
    BLOOD_TO_POWER = {
     description = "$actiondesc_blood_to_power",
     mana = 20,
     name = "$action_blood_to_power",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/blood_punch.png",
     type = 8,
    },
    BOMB = {
     description = "$actiondesc_bomb",
     mana = 25,
     max_uses = 3,
     name = "$action_bomb",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/bomb.png",
     type = 0,
    },
    BOMB_CART = {
     description = "$actiondesc_bomb_cart",
     mana = 75,
     max_uses = 6,
     name = "$action_bomb_cart",price = 200,
     sprite = "data/ui_gfx/gun_actions/bomb_cart.png",
     type = 0,
    },
    BOMB_DETONATOR = {
     description = "$actiondesc_bomb_detonator",
     mana = 50,
     name = "$action_bomb_detonator",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/pipe_bomb_detonator.png",
     type = 3,
    },
    BOMB_HOLY = {
     description = "$actiondesc_bomb_holy",
     mana = 300,
     max_uses = 2,
     name = "$action_bomb_holy",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/bomb_holy.png",
     type = 0,
    },
    BOMB_HOLY_GIGA = {
     description = "$actiondesc_bomb_holy_giga",
     mana = 600,
     max_uses = 2,
     name = "$action_bomb_holy_giga",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/bomb_holy_giga.png",
     type = 0,
    },
    BOUNCE = {
     description = "$actiondesc_bounce",
     mana = 0,
     name = "$action_bounce",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/bounce.png",
     type = 4,
    },
    BOUNCE_EXPLOSION = {
     description = "$actiondesc_bounce_explosion",
     mana = 20,
     name = "$action_bounce_explosion",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/bounce_explosion.png",
     type = 4,
    },
    BOUNCE_LARPA = {
     description = "$actiondesc_bounce_larpa",
     mana = 80,
     name = "$action_bounce_larpa",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/bounce_larpa.png",
     type = 4,
    },
    BOUNCE_LASER = {
     description = "$actiondesc_bounce_laser",
     mana = 30,
     name = "$action_bounce_laser",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/bounce_laser.png",
     type = 4,
    },
    BOUNCE_LASER_EMITTER = {
     description = "$actiondesc_bounce_laser_emitter",
     mana = 40,
     name = "$action_bounce_laser_emitter",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/bounce_laser_emitter.png",
     type = 4,
    },
    BOUNCE_SPARK = {
     description = "$actiondesc_bounce_spark",
     mana = 20,
     name = "$action_bounce_spark",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/bounce_spark.png",
     type = 4,
    },
    BOUNCY_ORB = {
     description = "$actiondesc_bouncy_orb",
     mana = 20,
     name = "$action_bouncy_orb",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/bouncy_orb.png",
     type = 0,
    },
    BOUNCY_ORB_TIMER = {
     description = "$actiondesc_bouncy_orb_timer",
     mana = 50,
     name = "$action_bouncy_orb_timer",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/bouncy_orb_timer.png",
     type = 2,
    },
    BUBBLESHOT = {
     description = "$actiondesc_bubbleshot",
     mana = 5,
     name = "$action_bubbleshot",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/bubbleshot.png",
     type = 0,
    },
    BUBBLESHOT_TRIGGER = {
     description = "$actiondesc_bubbleshot_trigger",
     mana = 16,
     name = "$action_bubbleshot_trigger",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/bubbleshot_trigger.png",
     type = 1,
    },
    BUCKSHOT = {
     description = "$actiondesc_buckshot",
     mana = 25,
     name = "$action_buckshot",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/buckshot.png",
     type = 0,
    },
    BULLET = {
     description = "$actiondesc_bullet",
     mana = 20,
     name = "$action_bullet",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/bullet.png",
     type = 0,
    },
    BULLET_TIMER = {
     description = "$actiondesc_bullet_timer",
     mana = 35,
     name = "$action_bullet_timer",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/bullet_timer.png",
     type = 2,
    },
    BULLET_TRIGGER = {
     description = "$actiondesc_bullet_trigger",
     mana = 35,
     name = "$action_bullet_trigger",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/bullet_trigger.png",
     type = 1,
    },
    BURN_TRAIL = {
     description = "$actiondesc_burn_trail",
     mana = 5,
     name = "$action_burn_trail",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/burn_trail.png",
     type = 4,
    },
    BURST_2 = {
     description = "$actiondesc_burst_2",
     mana = 0,
     name = "$action_burst_2",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/burst_2.png",
     type = 5,
    },
    BURST_3 = {
     description = "$actiondesc_burst_3",
     mana = 2,
     name = "$action_burst_3",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/burst_3.png",
     type = 5,
    },
    BURST_4 = {
     description = "$actiondesc_burst_4",
     mana = 5,
     name = "$action_burst_4",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/burst_4.png",
     type = 5,
    },
    BURST_8 = {
     description = "$actiondesc_burst_8",
     mana = 30,
     name = "$action_burst_8",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/burst_8.png",
     type = 5,
    },
    BURST_X = {
     description = "$actiondesc_burst_x",
     mana = 50,
     max_uses = 30,
     name = "$action_burst_x",
     price = 500,
     sprite = "data/ui_gfx/gun_actions/burst_x.png",
     type = 5,
    },
    CHAINSAW = {
     description = "$actiondesc_chainsaw",
     mana = 1,
     name = "$action_chainsaw",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/chainsaw.png",
     type = 0,
    },
    CHAIN_BOLT = {
     description = "$actiondesc_chain_bolt",
     mana = 80,
     name = "$action_chain_bolt",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/chain_bolt.png",
     type = 0,
    },
    CHAIN_SHOT = {
     description = "$actiondesc_chain_shot",
     mana = 70,
     name = "$action_chain_shot",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/chain_shot.png",
     type = 4,
    },
    CHAOS_POLYMORPH_FIELD = {
     description = "$actiondesc_chaos_polymorph_field",
     mana = 20,
     max_uses = 10,
     name = "$action_chaos_polymorph_field",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/chaos_polymorph_field.png",
     type = 3,
    },
    CHAOTIC_ARC = {
     description = "$actiondesc_chaotic_arc",
     mana = 0,
     name = "$action_chaotic_arc",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/chaotic_arc.png",
     type = 4,
    },
    CIRCLE_ACID = {
     description = "$actiondesc_circle_acid",
     mana = 40,
     max_uses = 4,
     name = "$action_circle_acid",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/circle_acid.png",
     type = 6,
    },
    CIRCLE_FIRE = {
     description = "$actiondesc_circle_fire",
     mana = 20,
     max_uses = 15,
     name = "$action_circle_fire",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/circle_fire.png",
     type = 6,
    },
    CIRCLE_OIL = {
     description = "$actiondesc_circle_oil",
     mana = 20,
     max_uses = 15,
     name = "$action_circle_oil",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/circle_oil.png",
     type = 6,
    },
    CIRCLE_SHAPE = {
     description = "$actiondesc_circle_shape",
     mana = 6,
     name = "$action_circle_shape",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/circle_shape.png",
     type = 5,
    },
    CIRCLE_WATER = {
     description = "$actiondesc_circle_water",
     mana = 20,
     max_uses = 15,
     name = "$action_circle_water",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/circle_water.png",
     type = 6,
    },
    CLIPPING_SHOT = {
     description = "$actiondesc_clipping_shot",
     mana = 160,
     name = "$action_clipping_shot",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/clipping_shot.png",
     type = 4,
    },
    CLOUD_ACID = {
     description = "$actiondesc_cloud_acid",
     mana = 90,
     max_uses = 8,
     name = "$action_cloud_acid",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/cloud_acid.png",
     type = 3,
    },
    CLOUD_BLOOD = {
     description = "$actiondesc_cloud_blood",
     mana = 60,
     max_uses = 3,
     name = "$action_cloud_blood",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/cloud_blood.png",
     type = 3,
    },
    CLOUD_OIL = {
     description = "$actiondesc_cloud_oil",
     mana = 20,
     max_uses = 15,
     name = "$action_cloud_oil",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/cloud_oil.png",
     type = 3,
    },
    CLOUD_THUNDER = {
     description = "$actiondesc_cloud_thunder",
     mana = 90,
     max_uses = 5,
     name = "$action_cloud_thunder",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/cloud_thunder.png",
     type = 3,
    },
    CLOUD_WATER = {
     description = "$actiondesc_cloud_water",
     mana = 30,
     max_uses = 10,
     name = "$action_cloud_water",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/cloud_water.png",
     type = 3,
    },
    COLOUR_BLUE = {
     description = "$actiondesc_colour_blue",
     mana = 0,
     name = "$action_colour_blue",
     price = 40,
   sprite = "data/ui_gfx/gun_actions/colour_blue.png",
     type = 4,
    },
    COLOUR_GREEN = {
     description = "$actiondesc_colour_green",
     mana = 0,
     name = "$action_colour_green",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_green.png",
     type = 4,
    },
    COLOUR_INVIS = {
     description = "$actiondesc_colour_invis",
     mana = 0,
     name = "$action_colour_invis",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_invis.png",
     type = 4,
    },
    COLOUR_ORANGE = {
     description = "$actiondesc_colour_orange",
     mana = 0,
     name = "$action_colour_orange",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_orange.png",
     type = 4,
    },
    COLOUR_PURPLE = {
     description = "$actiondesc_colour_purple",
     mana = 0,
     name = "$action_colour_purple",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_purple.png",
     type = 4,
    },
    COLOUR_RAINBOW = {
     description = "$actiondesc_colour_rainbow",
     mana = 0,
     name = "$action_colour_rainbow",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_rainbow.png",
     type = 4,
    },
    COLOUR_RED = {
     description = "$actiondesc_colour_red",
     mana = 0,
     name = "$action_colour_red",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_red.png",
     type = 4,
    },
    COLOUR_YELLOW = {
     description = "$actiondesc_colour_yellow",
     mana = 0,
     name = "$action_colour_yellow",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/colour_yellow.png",
     type = 4,
    },
    CRITICAL_HIT = {
     description = "$actiondesc_critical_hit",
     mana = 5,
     name = "$action_critical_hit",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/critical_hit.png",
     type = 4,
    },
    CRUMBLING_EARTH = {
     description = "$actiondesc_crumbling_earth",
     mana = 240,
     max_uses = 3,
     name = "$action_crumbling_earth",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/crumbling_earth.png",
     type = 0,
    },
    CRUMBLING_EARTH_PROJECTILE = {
     description = "$actiondesc_crumbling_earth_projectile",
     mana = 45,
     max_uses = 15,
     name = "$action_crumbling_earth_projectile",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/crumbling_earth_projectile.png",
     type = 4,
    },
    CURSE = {
     description = "$actiondesc_curse",
     mana = 30,
     name = "$action_curse",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/curse.png",
     type = 4,
    },
    CURSED_ORB = {
     description = "$actiondesc_cursed_orb",
     mana = 40,
     name = "$action_cursed_orb",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/cursed_orb.png",
     type = 0,
    },
    CURSE_WITHER_ELECTRICITY = {
     description = "$actiondesc_curse_wither_electricity",
     mana = 50,
     name = "$action_curse_wither_electricity",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/curse_wither_electricity.png",
     type = 4,
    },
    CURSE_WITHER_EXPLOSION = {
     description = "$actiondesc_curse_wither_explosion",
     mana = 50,
     name = "$action_curse_wither_explosion",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/curse_wither_explosion.png",
     type = 4,
    },
    CURSE_WITHER_MELEE = {
     description = "$actiondesc_curse_wither_melee",
     mana = 50,
     name = "$action_curse_wither_melee",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/curse_wither_melee.png",type = 4,
    },
    CURSE_WITHER_PROJECTILE = {
     description = "$actiondesc_curse_wither_projectile",
     mana = 50,
     name = "$action_curse_wither_projectile",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/curse_wither_projectile.png",
     type = 4,
    },
    DAMAGE = {
     description = "$actiondesc_damage",
     mana = 5,
     name = "$action_damage",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/damage.png",
     type = 4,
    },
    DAMAGE_FOREVER = {
     description = "$actiondesc_damage_forever",
     mana = 0,
     max_uses = 20,
     name = "$action_damage_forever",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/damage_forever.png",
     type = 4,
    },
    DAMAGE_RANDOM = {
     description = "$actiondesc_damage_random",
     mana = 15,
     name = "$action_damage_random",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/damage_random.png",
     type = 4,
    },
    DARKFLAME = {
     description = "$actiondesc_darkflame",
     mana = 90,
     max_uses = 60,
     name = "$action_darkflame",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/darkflame.png",
     type = 0,
    },
    DEATH_CROSS = {
     description = "$actiondesc_death_cross",
     mana = 80,
     name = "$action_death_cross",
     price = 210,
     sprite = "data/ui_gfx/gun_actions/death_cross.png",
     type = 0,
    },
    DEATH_CROSS_BIG = {
     description = "$actiondesc_death_cross_big",
     mana = 150,
     max_uses = 8,
     name = "$action_death_cross_big",
     price = 310,
     sprite = "data/ui_gfx/gun_actions/death_cross_big.png",
     type = 0,
    },
    DECELERATING_SHOT = {
     description = "$actiondesc_decelerating_shot",
     mana = 10,
     name = "$action_decelerating_shot",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/decelerating_shot.png",
     type = 4,
    },
    DELAYED_SPELL = {
     description = "$actiondesc_delayed_spell",
     mana = 20,
     name = "$action_delayed_spell",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/delayed_spell.png",
     type = 3,
    },
    DESTRUCTION = {
     description = "$actiondesc_destruction",
     mana = 600,
     max_uses = 5,
     name = "$action_destruction",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/destruction.png",
     type = 3,
    },
    DIGGER = {
     description = "$actiondesc_digger",
     mana = 0,
     name = "$action_digger",
     price = 70,
     sprite = "data/ui_gfx/gun_actions/digger.png",
     type = 0,
    },
    DISC_BULLET = {
     description = "$actiondesc_disc_bullet",
     mana = 20,
     name = "$action_disc_bullet",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/disc_bullet.png",
     type = 0,
    },
    DISC_BULLET_BIG = {
     description = "$actiondesc_disc_bullet_big",
     mana = 38,
     name = "$action_disc_bullet_big",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/disc_bullet_big.png",
     type = 0,
    },
    DISC_BULLET_BIGGER = {
     description = "$actiondesc_omega_disc_bullet",
     mana = 70,
     name = "$action_omega_disc_bullet",
     price = 270,
     sprite = "data/ui_gfx/gun_actions/omega_disc_bullet.png",
     type = 0,
    },
    DIVIDE_10 = {
     description = "$actiondesc_divide_10",
     mana = 200,
     max_uses = 5,
     name = "$action_divide_10",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/divide_10.png",
     type = 7,
    },
    DIVIDE_2 = {
     description = "$actiondesc_divide_2",
     mana = 35,
     name = "$action_divide_2",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/divide_2.png",
     type = 7,
    },
    DIVIDE_3 = {
     description = "$actiondesc_divide_3",
     mana = 50,
     name = "$action_divide_3",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/divide_3.png",
     type = 7,
    },
    DIVIDE_4 = {
     description = "$actiondesc_divide_4",
     mana = 70,
     name = "$action_divide_4",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/divide_4.png",
     type = 7,
    },
    DRAW_3_RANDOM = {
     description = "$actiondesc_draw_3_random",
     mana = 40,
     name = "$action_draw_3_random",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/draw_3_random.png",
     type = 7,
    },
    DRAW_RANDOM = {
     description = "$actiondesc_draw_random",
     mana = 20,
     name = "$action_draw_random",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/draw_random.png",
     type = 7,
    },
    DRAW_RANDOM_X3 = {
     description = "$actiondesc_draw_random_x3",
     mana = 50,
     name = "$action_draw_random_x3",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/draw_random_x3.png",
     type = 7,
    },
    DUPLICATE = {
     description = "$actiondesc_duplicate",
     mana = 250,
     name = "$action_duplicate",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/duplicate.png",
     type = 7,
    },
    DYNAMITE = {
     description = "$actiondesc_dynamite",
     mana = 50,
     max_uses = 16,
     name = "$action_dynamite",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/dynamite.png",
     type = 0,
    },
    ELECTRIC_CHARGE = {
     description = "$actiondesc_electric_charge",
     mana = 8,
     name = "$action_electric_charge",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/electric_charge.png",
     type = 4,
    },
    ELECTROCUTION_FIELD = {
     description = "$actiondesc_electrocution_field",
     mana = 60,
     max_uses = 15,
     name = "$action_electrocution_field",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/electrocution_field.png",
     type = 3,
    },
    ENERGY_SHIELD = {
     description = "$actiondesc_energy_shield",
     name = "$action_energy_shield",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/energy_shield.png",
     type = 9,
    },
    ENERGY_SHIELD_SECTOR = {
     description = "$actiondesc_energy_shield_sector",
     name = "$action_energy_shield_sector",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/energy_shield_sector.png",
     type = 9,
    },
    ENERGY_SHIELD_SHOT = {
     description = "$actiondesc_energy_shield_shot",
     mana = 5,
     name = "$action_energy_shield_shot",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/energy_shield_shot.png",
     type = 4,
    },
    ESSENCE_TO_POWER = {
     description = "$actiondesc_enemies_to_power",
     mana = 110,
     name = "$action_enemies_to_power",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/essence_to_power.png",
     type = 4,
    },
    EXPANDING_ORB = {
     description = "$actiondesc_expanding_orb",
     mana = 70,
     name = "$action_expanding_orb",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/expanding_orb.png",
     type = 0,
    },
    EXPLODING_DEER = {
     description = "$actiondesc_exploding_deer",
     mana = 120,
     max_uses = 10,
     name = "$action_exploding_deer",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/exploding_deer.png",
     type = 0,
    },
    EXPLODING_DUCKS = {
     description = "$actiondesc_exploding_ducks",
     mana = 100,
     max_uses = 20,
     name = "$action_exploding_ducks",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/duck_2.png",
     type = 0,
    },
    EXPLOSION = {
     description = "$actiondesc_explosion",
     mana = 80,
     name = "$action_explosion",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/explosion.png",
     type = 3,
    },
    EXPLOSION_LIGHT = {
     description = "$actiondesc_explosion_light",
     mana = 80,
     name = "$action_explosion_light",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/explosion_light.png",
     type = 3,
    },
    EXPLOSION_REMOVE = {
     description = "$actiondesc_explosion_remove",
     mana = 0,
     name = "$action_explosion_remove",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/explosion_remove.png",
     type = 4,
    },
    EXPLOSION_TINY = {
     description = "$actiondesc_explosion_tiny",
     mana = 40,
     name = "$action_explosion_tiny",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/explosion_tiny.png",
     type = 4,
    },
    EXPLOSIVE_PROJECTILE = {
     description = "$actiondesc_explosive_projectile",
     mana = 30,
     name = "$action_explosive_projectile",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/explosive_projectile.png",
     type = 4,
    },
    FIREBALL = {
     description = "$actiondesc_fireball",
     mana = 70,
     max_uses = 15,
     name = "$action_fireball",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/fireball.png",
     type = 0,
    },
    FIREBALL_RAY = {
     description = "$actiondesc_fireball_ray",
     mana = 110,
     max_uses = 16,
     name = "$action_fireball_ray",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/fireball_ray.png",
   type = 4,
    },
    FIREBALL_RAY_ENEMY = {
     description = "$actiondesc_fireball_ray_enemy",
     mana = 90,
     max_uses = 20,
     name = "$action_fireball_ray_enemy",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/fireball_ray_enemy.png",
     type = 4,
    },
    FIREBALL_RAY_LINE = {
     description = "$actiondesc_fireball_ray_line",
     mana = 130,
     max_uses = 20,
     name = "$action_fireball_ray_line",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/fireball_ray_line.png",
     type = 4,
    },
    FIREBOMB = {
     description = "$actiondesc_firebomb",
     mana = 10,
     name = "$action_firebomb",
     price = 90,
     sprite = "data/ui_gfx/gun_actions/firebomb.png",
     type = 0,
    },
    FIREWORK = {
     description = "$actiondesc_firework",
     mana = 70,
     max_uses = 25,
     name = "$action_firework",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/fireworks.png",
     type = 0,
    },
    FIRE_BLAST = {
     description = "$actiondesc_fire_blast",
     mana = 10,
     name = "$action_fire_blast",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/fire_blast.png",
     type = 3,
    },
    FIRE_TRAIL = {
     description = "$actiondesc_fire_trail",
     mana = 10,
     name = "$action_fire_trail",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/fire_trail.png",
     type = 4,
    },
    FIZZLE = {
     description = "$actiondesc_fizzle",
     mana = 0,
     name = "$action_fizzle",
     price = 0,
     sprite = "data/ui_gfx/gun_actions/fizzle.png",type = 4,
    },
    FLAMETHROWER = {
     description = "$actiondesc_flamethrower",
     mana = 20,
     max_uses = 60,
     name = "$action_flamethrower",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/flamethrower.png",
     type = 0,
    },
    FLOATING_ARC = {
     description = "$actiondesc_floating_arc",
     mana = 0,
     name = "$action_floating_arc",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/floating_arc.png",
     type = 4,
    },
    FLY_DOWNWARDS = {
     description = "$actiondesc_fly_downwards",
     mana = 0,
     name = "$action_fly_downwards",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/fly_downwards.png",
     type = 4,
    },
    FLY_UPWARDS = {
     description = "$actiondesc_fly_upwards",mana = 0,
     name = "$action_fly_upwards",
     price = 20,
     sprite = "data/ui_gfx/gun_actions/fly_upwards.png",
     type = 4,
    },
    FREEZE = {
     description = "$actiondesc_freeze",
     mana = 10,
     name = "$action_freeze",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/freeze.png",
     type = 4,
    },
    FREEZE_FIELD = {
     description = "$actiondesc_freeze_field",
     mana = 50,
     max_uses = 15,
     name = "$action_freeze_field",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/freeze_field.png",
     type = 3,
    },
    FREEZING_GAZE = {description = "$actiondesc_freezing_gaze",
     mana = 45,
     max_uses = 20,
     name = "$action_freezing_gaze",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/freezing_gaze.png",
     type = 0,
    },
    FRIEND_FLY = {
     description = "$actiondesc_friend_fly",
     mana = 120,
     name = "$action_friend_fly",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/friend_fly.png",
     type = 3,
    },
    FUNKY_SPELL = {
     description = "???",
     mana = 5,
     name = "???",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/machinegun_bullet.png",
     type = 0,
    },
    GAMMA = {description = "$actiondesc_gamma",
     mana = 30,
     name = "$action_gamma",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/gamma.png",
     type = 7,
    },
    GLITTER_BOMB = {
     description = "$actiondesc_glitter_bomb",
     mana = 70,
     max_uses = 16,
     name = "$action_glitter_bomb",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/glitter_bomb.png",
     type = 0,
    },
    GLOWING_BOLT = {
     description = "$actiondesc_glowing_bolt",
     mana = 65,
     name = "$action_glowing_bolt",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/glowing_bolt.png",
     type = 0,
    },GLUE_SHOT = {
     description = "$actiondesc_glue_shot",
     mana = 25,
     name = "$action_glue_shot",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/glue_shot.png",
     type = 0,
    },
    GRAVITY = {
     description = "$actiondesc_gravity",
     mana = 1,
     name = "$action_gravity",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/gravity.png",
     type = 4,
    },
    GRAVITY_ANTI = {
     description = "$actiondesc_gravity_anti",
     mana = 1,
     name = "$action_gravity_anti",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/gravity_anti.png",
     type = 4,
    },
    GRAVITY_FIELD_ENEMY = {
   description = "$actiondesc_gravity_field_enemy",
     mana = 110,
     max_uses = 20,
     name = "$action_gravity_field_enemy",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/gravity_field_enemy.png",
     type = 4,
    },
    GRENADE = {
     description = "$actiondesc_grenade",
     mana = 50,
     max_uses = 25,
     name = "$action_grenade",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/grenade.png",
     type = 0,
    },
    GRENADE_ANTI = {
     description = "$actiondesc_grenade_anti",
     mana = 50,
     max_uses = 25,
     name = "$action_grenade_anti",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/grenade_anti.png",
     type = 0,
    },
    GRENADE_LARGE = {
     description = "$actiondesc_grenade_large",
     mana = 80,
     max_uses = 35,
     name = "$action_grenade_large",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/grenade_large.png",
     type = 0,
    },
    GRENADE_TIER_2 = {
     description = "$actiondesc_grenade_tier_2",
     mana = 90,
     max_uses = 20,name = "$action_grenade_tier_2",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/grenade_tier_2.png",
     type = 0,
    },
    GRENADE_TIER_3 = {
     description = "$actiondesc_grenade_tier_3",
     mana = 90,
     max_uses = 20,
     name = "$action_grenade_tier_3",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/grenade_tier_3.png",
     type = 0,
    },
    GRENADE_TRIGGER = {
     description = "$actiondesc_grenade_trigger",
     mana = 50,
     max_uses = 25,
     name = "$action_grenade_trigger",
     price = 210,
     sprite = "data/ui_gfx/gun_actions/grenade_trigger.png",
     type = 1,
    },
    GUNPOWDER_TRAIL = {
     description = "$actiondesc_gunpowder_trail",
   mana = 10,
     name = "$action_gunpowder_trail",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/gunpowder_trail.png",
     type = 4,
    },
    HEAL_BULLET = {
     description = "$actiondesc_heal_bullet",
     mana = 15,
     max_uses = 20,
     name = "$action_heal_bullet",
     price = 60,
     sprite = "data/ui_gfx/gun_actions/heal_bullet.png",
     type = 0,
    },
    HEAVY_BULLET = {
     description = "$actiondesc_heavy_bullet",
     mana = 30,
     name = "$action_heavy_bullet",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/heavy_bullet.png",
     type = 0,
    },
    HEAVY_BULLET_TIMER = {
     description = "$actiondesc_heavy_bullet_timer",
     mana = 40,
     name = "$action_heavy_bullet_timer",price = 240,
     sprite = "data/ui_gfx/gun_actions/heavy_bullet_timer.png",
     type = 2,
    },
    HEAVY_BULLET_TRIGGER = {
     description = "$actiondesc_heavy_bullet_trigger",
     mana = 40,
     name = "$action_heavy_bullet_trigger",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/heavy_bullet_trigger.png",
     type = 1,
    },
    HEAVY_SHOT = {
     description = "$actiondesc_heavy_shot",
     mana = 7,
     name = "$action_heavy_shot",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/heavy_shot.png",
     type = 4,
    },
    HEAVY_SPREAD = {
     description = "$actiondesc_heavy_spread",
     mana = 2,
   name = "$action_heavy_spread",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/heavy_spread.png",
     type = 4,
    },
    HITFX_BURNING_CRITICAL_HIT = {
     description = "$actiondesc_hitfx_burning_critical_hit",
     mana = 10,
     name = "$action_hitfx_burning_critical_hit",
     price = 70,
     sprite = "data/ui_gfx/gun_actions/burning_critical.png",
     type = 4,
    },
    HITFX_CRITICAL_BLOOD = {
     description = "$actiondesc_hitfx_critical_blood",
     mana = 10,
     name = "$action_hitfx_critical_blood",
     price = 70,
     sprite = "data/ui_gfx/gun_actions/critical_blood.png",
     type = 4,
    },
    HITFX_CRITICAL_OIL = {
     description = "$actiondesc_hitfx_critical_oil",
     mana = 10,
     name = "$action_hitfx_critical_oil",
     price = 70,
     sprite = "data/ui_gfx/gun_actions/critical_oil.png",
     type = 4,
    },
    HITFX_CRITICAL_WATER = {
     description = "$actiondesc_hitfx_critical_water",
     mana = 10,
     name = "$action_hitfx_critical_water",
     price = 70,
     sprite = "data/ui_gfx/gun_actions/critical_water.png",
     type = 4,
    },
    HITFX_EXPLOSION_ALCOHOL = {
     description = "$actiondesc_hitfx_explosion_alcohol",
     mana = 20,
     name = "$action_hitfx_explosion_alcohol",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/explode_on_alcohol.png",
     type = 4,
    },
    HITFX_EXPLOSION_ALCOHOL_GIGA = {
     description = "$actiondesc_hitfx_explosion_alcohol_giga",
     mana = 200,
     max_uses = 20,
     name = "$action_hitfx_explosion_alcohol_giga",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/explode_on_alcohol_giga.png",
     type = 4,
    },
    HITFX_EXPLOSION_SLIME = {
     description = "$actiondesc_hitfx_explosion_slime",
     mana = 20,
     name = "$action_hitfx_explosion_slime",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/explode_on_slime.png",
     type = 4,
    },
    HITFX_EXPLOSION_SLIME_GIGA = {
     description = "$actiondesc_hitfx_explosion_slime_giga",
     mana = 200,
     max_uses = 20,
     name = "$action_hitfx_explosion_slime_giga",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/explode_on_slime_giga.png",
     type = 4,
    },
    HITFX_PETRIFY = {
     description = "$actiondesc_petrify_a",
     mana = 10,
     name = "$action_petrify",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/petrify.png",
     type = 4,
    },
    HITFX_TOXIC_CHARM = {
     description = "$actiondesc_hitfx_toxic_charm",
     mana = 70,
     name = "$action_hitfx_toxic_charm",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/charm_on_toxic.png",
     type = 4,
    },
    HOMING = {
     description = "$actiondesc_homing",
     mana = 70,
     name = "$action_homing",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/homing.png",
     type = 4,
   },
    HOMING_ACCELERATING = {
     description = "$actiondesc_homing_accelerating",
     mana = 60,
     name = "$action_homing_accelerating",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/homing_accelerating.png",
     type = 4,
    },
    HOMING_AREA = {
     description = "$actiondesc_homing_area",
     mana = 60,
     name = "$action_homing_area",
     price = 175,
     sprite = "data/ui_gfx/gun_actions/homing_area.png",
     type = 4,
    },
    HOMING_CURSOR = {
     description = "$actiondesc_homing_cursor",
     mana = 30,
     name = "$action_homing_cursor",
     price = 175,
     sprite = "data/ui_gfx/gun_actions/homing_cursor.png",
     type = 4,
    },
    HOMING_ROTATE = {
     description = "$actiondesc_homing_rotate",
     mana = 40,
     name = "$action_homing_rotate",
     price = 175,
     sprite = "data/ui_gfx/gun_actions/homing_rotate.png",
     type = 4,
    },
    HOMING_SHOOTER = {
     description = "$actiondesc_homing_shooter",
     mana = 10,
     name = "$action_homing_shooter",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/homing_shooter.png",
     type = 4,
    },
    HOMING_SHORT = {
     description = "$actiondesc_homing_short",
     mana = 40,
     name = "$action_homing_short",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/homing_short.png",
     type = 4,
    },
    HORIZONTAL_ARC = {
     description = "$actiondesc_horizontal_arc",
     mana = 0,
     name = "$action_horizontal_arc",
     price = 20,
     sprite = "data/ui_gfx/gun_actions/horizontal_arc.png",
     type = 4,
    },
    ICEBALL = {
     description = "$actiondesc_iceball",
     mana = 90,
     max_uses = 15,
     name = "$action_iceball",
     price = 260,
     sprite = "data/ui_gfx/gun_actions/iceball.png",
     type = 0,
    },
    IF_ELSE = {
     description = "$actiondesc_if_else",mana = 0,
     name = "$action_if_else",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/if_else.png",
     type = 7,
    },
    IF_END = {
     description = "$actiondesc_if_end",
     mana = 0,
     name = "$action_if_end",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/if_end.png",
     type = 7,
    },
    IF_ENEMY = {
     description = "$actiondesc_if_enemy",
     mana = 0,
     name = "$action_if_enemy",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/if_enemy.png",
     type = 7,
    },
    IF_HALF = {
     description = "$actiondesc_if_half",
     mana = 0,
     name = "$action_if_half",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/if_half.png",
     type = 7,
    },
    IF_HP = {
     description = "$actiondesc_if_hp",
     mana = 0,
     name = "$action_if_hp",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/if_hp.png",
     type = 7,
    },
    IF_PROJECTILE = {
     description = "$actiondesc_if_projectile",
     mana = 0,
     name = "$action_if_projectile",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/if_projectile.png",
     type = 7,
    },
    INFESTATION = {
     description = "$actiondesc_infestation",
     mana = 40,
     name = "$action_infestation",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/infestation.png",
     type = 0,
    },
    I_SHAPE = {
     description = "$actiondesc_i_shape",
     mana = 0,
     name = "$action_i_shape",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/i_shape.png",
     type = 5,
    },
    KANTELE_A = {
     description = "$actiondesc_kantele_a",
     mana = 1,
     name = "$action_kantele_a",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/kantele_a.png",
     type = 7,
    },
    KANTELE_D = {
     description = "$actiondesc_kantele_d",
     mana = 1,
     name = "$action_kantele_d",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/kantele_d.png",
     type = 7,
    },
    KANTELE_DIS = {
     description = "$actiondesc_kantele_dis",
     mana = 1,
     name = "$action_kantele_dis",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/kantele_dis.png",
     type = 7,
    },
    KANTELE_E = {
     description = "$actiondesc_kantele_e",
     mana = 1,
     name = "$action_kantele_e",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/kantele_e.png",
     type = 7,
    },
    KANTELE_G = {
     description = "$actiondesc_kantele_g",
     mana = 1,
     name = "$action_kantele_g",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/kantele_g.png",
     type = 7,
    },
    KNOCKBACK = {
     description = "$actiondesc_knockback",
     mana = 5,
     name = "$action_knockback",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/knockback.png",
     type = 4,
    },
    LANCE = {
     description = "$actiondesc_lance",
     mana = 30,
     name = "$action_lance",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/lance.png",
     type = 0,
    },
    LARPA_CHAOS = {
     description = "$actiondesc_larpa_chaos",
     mana = 100,
     name = "$action_larpa_chaos",
     price = 260,
   sprite = "data/ui_gfx/gun_actions/larpa_chaos.png",
     type = 4,
    },
    LARPA_CHAOS_2 = {
     description = "$actiondesc_larpa_chaos_2",
     mana = 150,
     name = "$action_larpa_chaos_2",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/larpa_chaos_2.png",
     type = 4,
    },
    LARPA_DEATH = {
     description = "$actiondesc_larpa_death",
     mana = 90,
     max_uses = 30,
     name = "$action_larpa_death",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/larpa_death.png",
     type = 4,
    },
    LARPA_DOWNWARDS = {
     description = "$actiondesc_larpa_downwards",
     mana = 120,
     name = "$action_larpa_downwards",
     price = 290,
     sprite = "data/ui_gfx/gun_actions/larpa_downwards.png",
     type = 4,
    },
    LARPA_UPWARDS = {
     description = "$actiondesc_larpa_upwards",
     mana = 120,
     name = "$action_larpa_upwards",
     price = 290,
     sprite = "data/ui_gfx/gun_actions/larpa_upwards.png",
     type = 4,
    },
    LASER = {
     description = "$actiondesc_laser",
     mana = 30,
     name = "$action_laser",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/laser.png",
     type = 0,
    },
    LASER_EMITTER = {
     description = "$actiondesc_laser_emitter",
     mana = 60,
     name = "$action_laser_emitter",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/laser_emitter.png",
     type = 0,
    },
    LASER_EMITTER_CUTTER = {
     description = "$actiondesc_laser_emitter_cutter",
     mana = 40,
     name = "$action_laser_emitter_cutter",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/laser_emitter_cutter.png",
     type = 0,
    },
    LASER_EMITTER_FOUR = {
     description = "$actiondesc_laser_emitter_four",
     mana = 80,
     name = "$action_laser_emitter_four",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/laser_emitter_four.png",
     type = 0,},
    LASER_EMITTER_RAY = {
     description = "$actiondesc_laser_emitter_ray",
     mana = 110,
     max_uses = 16,
     name = "$action_laser_emitter_ray",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/laser_emitter_ray.png",
     type = 4,
    },
    LASER_EMITTER_WIDER = {
     description = "$actiondesc_laser_emitter_wider",
     mana = 10,
     name = "$action_laser_emitter_wider",
     price = 40,
     sprite = "data/ui_gfx/gun_actions/laser_emitter_wider.png",
     type = 4,
    },
    LASER_LUMINOUS_DRILL = {
     description = "$actiondesc_luminous_drill_timer",
     mana = 30,
     name = "$action_luminous_drill_timer",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/luminous_drill_timer.png",
     type = 2,
    },
    LAVA_TO_BLOOD = {
     description = "$actiondesc_lava_to_blood",
     mana = 30,
     name = "$action_lava_to_blood",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/lava_to_blood.png",
     type = 4,
    },
    LEVITATION_FIELD = {
     description = "$actiondesc_levitation_field",
     mana = 10,
     max_uses = 15,
     name = "$action_levitation_field",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/levitation_field.png",
     type = 3,
    },
    LIFETIME = {
     description = "$actiondesc_lifetime",
     mana = 40,
     name = "$action_lifetime",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/lifetime.png",
     type = 4,
    },
    LIFETIME_DOWN = {
     description = "$actiondesc_lifetime_down",
     mana = 10,
     name = "$action_lifetime_down",
     price = 90,
     sprite = "data/ui_gfx/gun_actions/lifetime_down.png",
     type = 4,
    },
    LIGHT = {
     description = "$actiondesc_light",
     mana = 1,
     name = "$action_light",
     price = 20,
     sprite = "data/ui_gfx/gun_actions/light.png",
   type = 4,
    },
    LIGHTNING = {
     description = "$actiondesc_lightning",
     mana = 70,
     name = "$action_lightning",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/lightning.png",
     type = 0,
    },
    LIGHTNING_RAY = {
     description = "$actiondesc_lightning_ray",
     mana = 110,
     max_uses = 16,
     name = "$action_lightning_ray",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/lightning_ray.png",
     type = 4,
    },
    LIGHTNING_RAY_ENEMY = {
     description = "$actiondesc_lightning_ray_enemy",
     mana = 90,
     max_uses = 20,
     name = "$action_lightning_ray_enemy",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/lightning_ray_enemy.png",
     type = 4,
    },
    LIGHT_BULLET = {
     description = "$actiondesc_light_bullet",
     mana = 5,
     name = "$action_light_bullet",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/light_bullet.png",
     type = 0,
    },
    LIGHT_BULLET_TIMER = {
     description = "$actiondesc_light_bullet_timer",
     mana = 10,
     name = "$action_light_bullet_timer",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/light_bullet_timer.png",
     type = 2,
    },
    LIGHT_BULLET_TRIGGER = {
     description = "$actiondesc_light_bullet_trigger",
     mana = 10,
     name = "$action_light_bullet_trigger",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/light_bullet_trigger.png",
     type = 1,
    },
    LIGHT_BULLET_TRIGGER_2 = {
     description = "$actiondesc_light_bullet_trigger_2",
     mana = 15,
     name = "$action_light_bullet_trigger_2",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/light_bullet_trigger_2.png",
     type = 1,
    },
    LIGHT_SHOT = {
     description = "$actiondesc_light_shot",
     mana = 5,name = "$action_light_shot",
     price = 60,
     sprite = "data/ui_gfx/gun_actions/light_shot.png",
     type = 4,
    },
    LINE_ARC = {
     description = "$actiondesc_line_arc",
     mana = 0,
     name = "$action_line_arc",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/line_arc.png",
     type = 4,
    },
    LIQUID_TO_EXPLOSION = {
     description = "$actiondesc_liquid_to_explosion",
     mana = 40,
     name = "$action_liquid_to_explosion",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/liquid_to_explosion.png",
     type = 4,
    },
    LONG_DISTANCE_CAST = {
     description = "$actiondesc_long_distance_cast",
     mana = 0,
     name = "$action_long_distance_cast",
     price = 90,
     sprite = "data/ui_gfx/gun_actions/long_distance_cast.png",
     type = 8,
    },
    LUMINOUS_DRILL = {
     description = "$actiondesc_luminous_drill",
     mana = 10,
   name = "$action_luminous_drill",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/luminous_drill.png",
     type = 0,
    },
    MAGIC_SHIELD = {
     description = "$actiondesc_magic_shield",
     mana = 40,
     name = "$action_magic_shield",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/magic_shield.png",
     type = 0,
    },
    MANA_REDUCE = {
     description = "$actiondesc_mana_reduce",
     mana = -30,
     name = "$action_mana_reduce",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/mana.png",
     type = 4,
    },
    MATERIAL_ACID = {
     description = "$actiondesc_material_acid",
     mana = 0,
     name = "$action_material_acid",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/material_acid.png",type = 6,
    },
    MATERIAL_BLOOD = {
     description = "$actiondesc_material_blood",
     mana = 0,
     max_uses = 250,
     name = "$action_material_blood",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/material_blood.png",
     type = 6,
    },
    MATERIAL_CEMENT = {
     description = "$actiondesc_material_cement",
     mana = 0,
     name = "$action_material_cement",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/material_cement.png",
     type = 6,
    },
    MATERIAL_OIL = {
     description = "$actiondesc_material_oil",
     mana = 0,
     name = "$action_material_oil",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/material_oil.png",
     type = 6,
   },
    MATERIAL_WATER = {
     description = "$actiondesc_material_water",
     mana = 0,
     name = "$action_material_water",
     price = 110,
     sprite = "data/ui_gfx/gun_actions/material_water.png",
     type = 6,
    },
    MATTER_EATER = {
     description = "$actiondesc_matter_eater",
     mana = 120,
     max_uses = 10,
     name = "$action_matter_eater",
     price = 280,
     sprite = "data/ui_gfx/gun_actions/matter_eater.png",
     type = 4,
    },
    MEGALASER = {
     description = "$actiondesc_megalaser",
     mana = 110,
     name = "$action_megalaser",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/megalaser.png",
     type = 0,
    },
    METEOR = {
     description = "$actiondesc_meteor",
     mana = 150,max_uses = 10,
     name = "$action_meteor",
     price = 280,
     sprite = "data/ui_gfx/gun_actions/meteor.png",
     type = 0,
    },
    METEOR_RAIN = {
     description = "$actiondesc_meteor_rain",
     mana = 225,
     max_uses = 2,
     name = "$action_meteor_rain",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/meteor_rain.png",
     type = 3,
    },
    MINE = {
     description = "$actiondesc_mine",
     mana = 20,
     max_uses = 15,
     name = "$action_mine",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/mine.png",
     type = 0,
    },
    MINE_DEATH_TRIGGER = {description = "$actiondesc_mine_death_trigger",
     mana = 20,
     max_uses = 15,
     name = "$action_mine_death_trigger",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/mine_death_trigger.png",
     type = 1,
    },
    MISSILE = {
     description = "$actiondesc_missile",
     mana = 60,
     max_uses = 20,
     name = "$action_missile",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/missile.png",
     type = 0,
    },
    MIST_ALCOHOL = {
     description = "$actiondesc_mist_alcohol",
     mana = 40,
     name = "$action_mist_alcohol",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/mist_alcohol.png",type = 0,
    },
    MIST_BLOOD = {
     description = "$actiondesc_mist_blood",
     mana = 40,
     max_uses = 10,
     name = "$action_mist_blood",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/mist_blood.png",
     type = 0,
    },
    MIST_RADIOACTIVE = {
     description = "$actiondesc_mist_radioactive",
     mana = 40,
     name = "$action_mist_radioactive",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/mist_radioactive.png",
     type = 0,
    },
    MIST_SLIME = {
     description = "$actiondesc_mist_slime",mana = 40,
     name = "$action_mist_slime",
     price = 80,
     sprite = "data/ui_gfx/gun_actions/mist_slime.png",
     type = 0,
    },
    MONEY_MAGIC = {
     description = "$actiondesc_money_magic",
     mana = 30,
     name = "$action_money_magic",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/golden_punch.png",
     type = 8,
    },
    MU = {
     description = "$actiondesc_mu",
     mana = 120,
     name = "$action_mu",
     price = 500,
     sprite = "data/ui_gfx/gun_actions/mu.png",
     type = 7,
    },
    NECROMANCY = {
     description = "$actiondesc_necromancy",
     mana = 20,
     name = "$action_necromancy",
     price = 80,sprite = "data/ui_gfx/gun_actions/necromancy.png",
     type = 4,
    },
    NOLLA = {
     description = "$actiondesc_nolla",
     mana = 1,
     name = "$action_nolla",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/nolla.png",
     type = 4,
    },
    NUKE = {
     description = "$actiondesc_nuke",
     mana = 200,
     max_uses = 1,
     name = "$action_nuke",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/nuke.png",
     type = 0,
    },
    NUKE_GIGA = {
     description = "$actiondesc_nuke_giga",
     mana = 500,
     max_uses = 1,
     name = "$action_nuke_giga",
     price = 800,
     sprite = "data/ui_gfx/gun_actions/nuke_giga.png",
     type = 0,
    },
    OCARINA_A = {
     description = "$actiondesc_ocarina_a",
     mana = 1,
     name = "$action_ocarina_a",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_a.png",
     type = 7,
    },
    OCARINA_A2 = {
     description = "$actiondesc_ocarina_a2",
     mana = 1,
     name = "$action_ocarina_a2",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_a2.png",
     type = 7,
    },
    OCARINA_B = {
     description = "$actiondesc_ocarina_b",
     mana = 1,
     name = "$action_ocarina_b",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_b.png",
     type = 7,
    },
    OCARINA_C = {
     description = "$actiondesc_ocarina_c",
     mana = 1,
     name = "$action_ocarina_c",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_c.png",
     type = 7,
    },
    OCARINA_D = {description = "$actiondesc_ocarina_d",
     mana = 1,
     name = "$action_ocarina_d",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_d.png",
     type = 7,
    },
    OCARINA_E = {
     description = "$actiondesc_ocarina_e",
     mana = 1,
     name = "$action_ocarina_e",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_e.png",
     type = 7,
    },
    OCARINA_F = {
     description = "$actiondesc_ocarina_f",
     mana = 1,
     name = "$action_ocarina_f",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_f.png",
     type = 7,
    },
    OCARINA_GSHARP = {
     description = "$actiondesc_ocarina_gsharp",
     mana = 1,
     name = "$action_ocarina_gsharp",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/ocarina_gsharp.png",
     type = 7,
    },
    OIL_TRAIL = {
     description = "$actiondesc_oil_trail",
     mana = 10,
     name = "$action_oil_trail",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/oil_trail.png",
     type = 4,
    },
    OMEGA = {
     description = "$actiondesc_omega",
     mana = 300,
     name = "$action_omega",
     price = 600,
     sprite = "data/ui_gfx/gun_actions/omega.png",
     type = 7,
    },
    ORBIT_DISCS = {
     description = "$actiondesc_orbit_discs",
     mana = 70,
     name = "$action_orbit_discs",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/orbit_discs.png",
     type = 4,
    },
    ORBIT_FIREBALLS = {
     description = "$actiondesc_orbit_fireballs",
     mana = 40,
     name = "$action_orbit_fireballs",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/orbit_fireballs.png",type = 4,
    },
    ORBIT_LARPA = {
     description = "$actiondesc_orbit_larpa",
     mana = 90,
     name = "$action_orbit_larpa",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/orbit_larpa.png",
     type = 4,
    },
    ORBIT_LASERS = {
     description = "$actiondesc_orbit_lasers",
     mana = 100,
     name = "$action_orbit_lasers",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/orbit_lasers.png",
     type = 4,
    },
    ORBIT_NUKES = {
     description = "$actiondesc_orbit_nukes",
     mana = 250,
     max_uses = 3,
     name = "$action_orbit_nukes",
     price = 400,
     sprite = "data/ui_gfx/gun_actions/orbit_nukes.png",
     type = 4,
    },
    ORBIT_SHOT = {
     description = "$actiondesc_orbit_shot",
     mana = 0,
     name = "$action_orbit_shot",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/orbit_shot.png",
     type = 4,
    },
   PEBBLE = {
     description = "$actiondesc_pebble",
     mana = 120,
     max_uses = 10,
     name = "$action_pebble",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/pebble.png",
     type = 0,
    },
    PENTAGRAM_SHAPE = {
     description = "$actiondesc_pentagram_shape",
     mana = 5,
     name = "$action_pentagram_shape",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/pentagram_shape.png",
     type = 5,
    },
    PHASING_ARC = {
     description = "$actiondesc_phasing_arc",
     mana = 2,
     name = "$action_phasing_arc",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/phasing_arc.png",
     type = 4,
    },
    PHI = {
     description = "$actiondesc_phi",
     mana = 120,
     name = "$action_phi",
     price = 500,
   sprite = "data/ui_gfx/gun_actions/phi.png",
     type = 7,
    },
    PIERCING_SHOT = {
     description = "$actiondesc_piercing_shot",
     mana = 140,
     name = "$action_piercing_shot",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/piercing_shot.png",
     type = 4,
    },
    PINGPONG_PATH = {
     description = "$actiondesc_pingpong_path",
     mana = 0,
     name = "$action_pingpong_path",
     price = 20,
     sprite = "data/ui_gfx/gun_actions/pingpong_path.png",
     type = 4,
    },
    PIPE_BOMB = {
     description = "$actiondesc_pipe_bomb",
     mana = 20,
     max_uses = 20,
     name = "$action_pipe_bomb",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/pipe_bomb.png",
     type = 0,
    },
    PIPE_BOMB_DEATH_TRIGGER = {
   description = "$actiondesc_pipe_bomb_death_trigger",
     mana = 20,
     max_uses = 20,
     name = "$action_pipe_bomb_death_trigger",
     price = 230,
     sprite = "data/ui_gfx/gun_actions/pipe_bomb_death_trigger.png",
     type = 1,
    },
    POISON_BLAST = {
     description = "$actiondesc_poison_blast",
     mana = 30,
     name = "$action_poison_blast",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/poison_blast.png",
     type = 3,
    },
    POISON_TRAIL = {
     description = "$actiondesc_poison_trail",
     mana = 10,
     name = "$action_poison_trail",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/poison_trail.png",
     type = 4,
    },
    POLLEN = {
     description = "$actiondesc_pollen",mana = 10,
     name = "$action_pollen",
     price = 110,
     sprite = "data/ui_gfx/gun_actions/pollen.png",
     type = 0,
    },
    POLYMORPH_FIELD = {
     description = "$actiondesc_polymorph_field",
     mana = 50,
     max_uses = 5,
     name = "$action_polymorph_field",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/polymorph_field.png",
     type = 3,
    },
    POWERDIGGER = {
     description = "$actiondesc_powerdigger",
     mana = 0,
     name = "$action_powerdigger",
     price = 110,
     sprite = "data/ui_gfx/gun_actions/powerdigger.png",
     type = 0,
    },
    PROJECTILE_GRAVITY_FIELD = {
     description = "$actiondesc_projectile_gravity_field",mana = 120,
     max_uses = 6,
     name = "$action_projectile_gravity_field",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/projectile_gravity_field.png",
     type = 3,
    },
    PROJECTILE_THUNDER_FIELD = {
     description = "$actiondesc_projectile_thunder_field",
     mana = 140,
     max_uses = 6,
     name = "$action_projectile_thunder_field",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/projectile_thunder_field.png",
     type = 3,
    },
    PROJECTILE_TRANSMUTATION_FIELD = {
     description = "$actiondesc_projectile_transmutation_field",
     mana = 120,
     max_uses = 6,
     name = "$action_projectile_transmutation_field",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/projectile_transmutation_field.png",
     type = 3,
    },
    PROPANE_TANK = {
   description = "$actiondesc_propane_tank",
     mana = 75,
     max_uses = 10,
     name = "$action_propane_tank",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/propane_tank.png",
     type = 0,
    },
    PURPLE_EXPLOSION_FIELD = {
     description = "$actiondesc_purple_explosion_field",
     mana = 90,
     max_uses = 20,
     name = "$action_purple_explosion_field",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/purple_explosion_field.png",
     type = 3,
    },
    QUANTUM_SPLIT = {
     description = "$actiondesc_quantum_split",
     mana = 10,
     name = "$action_quantum_split",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/quantum_split.png",
     type = 4,
    },
   RAINBOW_TRAIL = {
     description = "$actiondesc_rainbow_trail",
     mana = 0,
     name = "$action_rainbow_trail",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/rainbow_trail.png",
     type = 4,
    },
    RANDOM_EXPLOSION = {
     description = "$actiondesc_random_explosion",
     mana = 120,
     max_uses = 30,
     name = "$action_random_explosion",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/random_explosion.png",
     type = 4,
    },
    RANDOM_MODIFIER = {
     description = "$actiondesc_random_modifier",
     mana = 20,
     name = "$action_random_modifier",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/random_modifier.png",
     type = 4,
    },
    RANDOM_PROJECTILE = {
     description = "$actiondesc_random_projectile",
   mana = 20,
     name = "$action_random_projectile",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/random_projectile.png",
     type = 0,
    },
    RANDOM_SPELL = {
     description = "$actiondesc_random_spell",
     mana = 5,
     name = "$action_random_spell",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/random_spell.png",
     type = 7,
    },
    RANDOM_STATIC_PROJECTILE = {
     description = "$actiondesc_random_static_projectile",
     mana = 20,
     name = "$action_random_static_projectile",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/random_static_projectile.png",
     type = 3,
    },
    RECHARGE = {
     description = "$actiondesc_recharge",
     mana = 12,
     name = "$action_recharge",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/recharge.png",
     type = 4,
    },
    RECOIL = {
     description = "$actiondesc_recoil",
     mana = 5,
     name = "$action_recoil",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/recoil.png",
     type = 4,
    },
    RECOIL_DAMPER = {
     description = "$actiondesc_recoil_damper",
     mana = 5,
     name = "$action_recoil_damper",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/recoil_damper.png",
     type = 4,
    },
    REGENERATION_FIELD = {
     description = "$actiondesc_regeneration_field",
     mana = 80,
     max_uses = 2,
     name = "$action_regeneration_field",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/regeneration_field.png",
     type = 3,
    },
    REMOVE_BOUNCE = {
     description = "$actiondesc_remove_bounce",
     mana = 0,
     name = "$action_remove_bounce",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/remove_bounce.png",
     type = 4,
    },
    RESET = {
     description = "$actiondesc_reset",
     mana = 20,
     name = "$action_reset",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/reset.png",
     type = 8,
    },
    ROCKET = {
     description = "$actiondesc_rocket",
     mana = 70,
     max_uses = 10,
     name = "$action_rocket",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/rocket.png",
   type = 0,
    },
    ROCKET_DOWNWARDS = {
     description = "$actiondesc_rocket_downwards",
     mana = 90,
     name = "$action_rocket_downwards",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/rocket_downwards.png",
     type = 4,
    },
    ROCKET_OCTAGON = {
     description = "$actiondesc_rocket_octagon",
     mana = 100,
     name = "$action_rocket_octagon",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/rocket_octagon.png",
     type = 4,
    },
    ROCKET_TIER_2 = {
     description = "$actiondesc_rocket_tier_2",
     mana = 90,
     max_uses = 8,
     name = "$action_rocket_tier_2",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/rocket_tier_2.png",
     type = 0,
    },
    ROCKET_TIER_3 = {
     description = "$actiondesc_rocket_tier_3",
     mana = 120,
     max_uses = 6,
     name = "$action_rocket_tier_3",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/rocket_tier_3.png",
     type = 0,
    },
    RUBBER_BALL = {
     description = "$actiondesc_rubber_ball",
     mana = 5,
     name = "$action_rubber_ball",
     price = 60,
     sprite = "data/ui_gfx/gun_actions/rubber_ball.png",
     type = 0,
    },
    SCATTER_2 = {
     description = "$actiondesc_scatter_2",
     mana = 0,
     name = "$action_scatter_2",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/scatter_2.png",
     type = 5,
    },
    SCATTER_3 = {
     description = "$actiondesc_scatter_3",
     mana = 1,
     name = "$action_scatter_3",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/scatter_3.png",
     type = 5,
    },
    SCATTER_4 = {
     description = "$actiondesc_scatter_4",
     mana = 2,
     name = "$action_scatter_4",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/scatter_4.png",
     type = 5,
    },
    SEA_ACID = {
     description = "$actiondesc_sea_acid",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_acid",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/sea_acid.png",
     type = 6,
    },
    SEA_ACID_GAS = {
     description = "$actiondesc_sea_acid_gas",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_acid_gas",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/sea_acid_gas.png",
     type = 6,
    },
    SEA_ALCOHOL = {
     description = "$actiondesc_sea_alcohol",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_alcohol",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/sea_alcohol.png",
     type = 6,
    },
    SEA_LAVA = {
     description = "$actiondesc_sea_lava",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_lava",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/sea_lava.png",
     type = 6,
    },
    SEA_OIL = {
     description = "$actiondesc_sea_oil",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_oil",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/sea_oil.png",
     type = 6,
    },
    SEA_WATER = {
     description = "$actiondesc_sea_water",
     mana = 140,
     max_uses = 3,
     name = "$action_sea_water",
     price = 350,
     sprite = "data/ui_gfx/gun_actions/sea_water.png",
     type = 6,
    },
    SHIELD_FIELD = {
     description = "$actiondesc_shield_field",
     mana = 20,
     max_uses = 10,
     name = "$action_shield_field",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/shield_field.png",
     type = 3,
    },
    SIGMA = {
     description = "$actiondesc_sigma",
     mana = 120,
     name = "$action_sigma",
     price = 500,
     sprite = "data/ui_gfx/gun_actions/sigma.png",
     type = 7,
    },
    SINEWAVE = {
     description = "$actiondesc_sinewave",
     mana = 0,
     name = "$action_sinewave",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/sinewave.png",
     type = 4,
    },
    SLIMEBALL = {
     description = "$actiondesc_slimeball",
     mana = 20,
     name = "$action_slimeball",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/slimeball.png",
     type = 0,
    },
    SLOW_BULLET = {
     description = "$actiondesc_slow_bullet",
     mana = 30,
     name = "$action_slow_bullet",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/slow_bullet.png",
     type = 0,
    },
    SLOW_BULLET_TIMER = {
     description = "$actiondesc_slow_bullet_timer",
     mana = 50,
     name = "$action_slow_bullet_timer",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/slow_bullet_timer.png",
     type = 2,
    },
    SLOW_BULLET_TRIGGER = {
     description = "$actiondesc_slow_bullet_trigger",
     mana = 50,
     name = "$action_slow_bullet_trigger",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/slow_bullet_trigger.png",
     type = 1,
    },
    SLOW_BUT_STEADY = {
     description = "$actiondesc_slow_but_steady",
     mana = 0,
     name = "$action_slow_but_steady",
     price = 50,
     sprite = "data/ui_gfx/gun_actions/slow_but_steady.png",
     type = 4,
    },
    SOILBALL = {
     description = "$actiondesc_soilball",
     mana = 5,
     name = "$action_soilball",
     price = 10,
     sprite = "data/ui_gfx/gun_actions/soil.png",
     type = 6,
    },
    SPEED = {
     description = "$actiondesc_speed",
     mana = 3,
     name = "$action_speed",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/speed.png",
     type = 4,
    },
    SPELLS_TO_POWER = {
     description = "$actiondesc_spells_to_power",
     mana = 110,
     name = "$action_spells_to_power",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/spells_to_power.png",
     type = 4,
    },
    SPIRALING_SHOT = {
     description = "$actiondesc_spiraling_shot",
     mana = 0,
     name = "$action_spiraling_shot",
     price = 30,
     sprite = "data/ui_gfx/gun_actions/spiraling_shot.png",
     type = 4,
    },
    SPIRAL_SHOT = {
     description = "$actiondesc_spiral_shot",
     mana = 50,
     max_uses = 15,
     name = "$action_spiral_shot",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/spiral_shot.png",
     type = 0,
    },
    SPITTER = {
     description = "$actiondesc_spitter",
     mana = 5,
     name = "$action_spitter",
     price = 110,
     sprite = "data/ui_gfx/gun_actions/spitter.png",
     type = 0,
    },
    SPITTER_TIER_2 = {
     description = "$actiondesc_spitter_tier_2",
     mana = 25,
     name = "$action_spitter_tier_2",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/spitter_green.png",
     type = 0,
    },
    SPITTER_TIER_2_TIMER = {description = "$actiondesc_spitter_tier_2_timer",
     mana = 30,
     name = "$action_spitter_tier_2_timer",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/spitter_green_timer.png",
     type = 2,
    },
    SPITTER_TIER_3 = {
     description = "$actiondesc_spitter_tier_3",
     mana = 40,
     name = "$action_spitter_tier_3",
     price = 240,
     sprite = "data/ui_gfx/gun_actions/spitter_purple.png",
     type = 0,
    },
    SPITTER_TIER_3_TIMER = {
     description = "$actiondesc_spitter_tier_3_timer",
     mana = 45,
     name = "$action_spitter_tier_3_timer",
     price = 260,
     sprite = "data/ui_gfx/gun_actions/spitter_purple_timer.png",
     type = 2,
    },
    SPITTER_TIMER = {
     description = "$actiondesc_spitter_timer",
     mana = 10,
     name = "$action_spitter_timer",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/spitter_timer.png",
     type = 2,
    },
    SPORE_POD = {
     description = "$actiondesc_spore_pod",mana = 20,
     name = "$action_spore_pod",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/spore_pod.png",
     type = 0,
    },
    SPREAD_REDUCE = {
     description = "$actiondesc_spread_reduce",
     mana = 1,
     name = "$action_spread_reduce",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/spread_reduce.png",
     type = 4,
    },
    STATIC_TO_SAND = {
     description = "$actiondesc_static_to_sand",
     mana = 70,
     max_uses = 8,
     name = "$action_static_to_sand",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/static_to_sand.png",
     type = 4,
    },
    SUMMON_EGG = {
     description = "$actiondesc_summon_egg",
     mana = 100,
     max_uses = 2,
     name = "$action_summon_egg",
   price = 220,
     sprite = "data/ui_gfx/gun_actions/summon_egg.png",
     type = 0,
    },
    SUMMON_HOLLOW_EGG = {
     description = "$actiondesc_summon_hollow_egg",
     mana = 30,
     name = "$action_summon_hollow_egg",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/summon_hollow_egg.png",
     type = 1,
    },
    SUMMON_PORTAL = {
     description = "$actiondesc_summon_portal",
     mana = 50,
     max_uses = 7,
     name = "$action_summon_portal",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/summon_portal.png",
     type = 7,
    },
    SUMMON_ROCK = {
     description = "$actiondesc_summon_rock",
     mana = 100,
     max_uses = 3,
     name = "$action_summon_rock",price = 160,
     sprite = "data/ui_gfx/gun_actions/summon_rock.png",
     type = 0,
    },
    SUMMON_WANDGHOST = {
     description = "$actiondesc_summon_wandghost",
     mana = 300,
     max_uses = 1,
     name = "$action_summon_wandghost",
     price = 420,
     sprite = "data/ui_gfx/gun_actions/summon_wandghost.png",
     type = 8,
    },
    SUPER_TELEPORT_CAST = {
     description = "$actiondesc_super_teleport_cast",
     mana = 20,
     name = "$action_super_teleport_cast",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/super_teleport_cast.png",
     type = 8,
    },
    SWAPPER_PROJECTILE = {
     description = "$actiondesc_swapper_projectile",
     mana = 5,
     name = "$action_swapper_projectile",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/swapper_projectile.png",
     type = 0,
   },
    SWARM_FIREBUG = {
     description = "$actiondesc_swarm_firebug",
     mana = 80,
     name = "$action_swarm_firebug",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/swarm_firebug.png",
     type = 3,
    },
    SWARM_FLY = {
     description = "$actiondesc_swarm_fly",
     mana = 70,
     name = "$action_swarm_fly",
     price = 90,
     sprite = "data/ui_gfx/gun_actions/swarm_fly.png",
     type = 3,
    },
    SWARM_WASP = {
     description = "$actiondesc_swarm_wasp",
     mana = 90,
     name = "$action_swarm_wasp",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/swarm_wasp.png",
     type = 3,
    },
    TAU = {
     description = "$actiondesc_tau",
     mana = 80,
     name = "$action_tau",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/tau.png",type = 7,
    },
    TELEPORTATION_FIELD = {
     description = "$actiondesc_teleportation_field",
     mana = 30,
     max_uses = 15,
     name = "$action_teleportation_field",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/teleportation_field.png",
     type = 3,
    },
    TELEPORT_CAST = {
     description = "$actiondesc_teleport_cast",
     mana = 100,
     name = "$action_teleport_cast",
     price = 190,
     sprite = "data/ui_gfx/gun_actions/teleport_cast.png",
     type = 8,
    },
    TELEPORT_PROJECTILE = {
     description = "$actiondesc_teleport_projectile",
     mana = 40,
     name = "$action_teleport_projectile",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/teleport_projectile.png",
     type = 0,
    },TELEPORT_PROJECTILE_CLOSER = {
     description = "$actiondesc_teleport_closer",
     mana = 20,
     name = "$action_teleport_closer",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/teleport_projectile_closer.png",
     type = 0,
    },
    TELEPORT_PROJECTILE_SHORT = {
     description = "$actiondesc_teleport_projectile_short",
     mana = 20,
     name = "$action_teleport_projectile_short",
     price = 130,
     sprite = "data/ui_gfx/gun_actions/teleport_projectile_short.png",
     type = 0,
    },
    TELEPORT_PROJECTILE_STATIC = {
     description = "$actiondesc_teleport_projectile_static",
     mana = 40,
     name = "$action_teleport_projectile_static",
     price = 90,sprite = "data/ui_gfx/gun_actions/teleport_projectile_static.png",
     type = 0,
    },
    TEMPORARY_PLATFORM = {
     description = "$actiondesc_temporary_platform",
     mana = 30,
     max_uses = 20,
     name = "$action_temporary_platform",
     price = 90,
     sprite = "data/ui_gfx/gun_actions/temporary_platform.png",
     type = 8,
    },
    TEMPORARY_WALL = {
     description = "$actiondesc_temporary_wall",
     mana = 40,
     max_uses = 20,
     name = "$action_temporary_wall",price = 100,
     sprite = "data/ui_gfx/gun_actions/temporary_wall.png",
     type = 8,
    },
    TENTACLE = {
     description = "$actiondesc_tentacle",
     mana = 20,
     name = "$action_tentacle",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/tentacle.png",
     type = 0,
    },
    TENTACLE_PORTAL = {
     description = "$actiondesc_tentacle_portal",
     mana = 140,
     max_uses = 5,
     name = "$action_tentacle_portal",
     price = 220,
     sprite = "data/ui_gfx/gun_actions/tentacle_portal.png",
     type = 0,
    },
    TENTACLE_RAY = {
   description = "$actiondesc_tentacle_ray",
     mana = 110,
     max_uses = 16,
     name = "$action_tentacle_ray",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/tentacle_ray.png",
     type = 4,
    },
    TENTACLE_RAY_ENEMY = {
     description = "$actiondesc_tentacle_ray_enemy",
     mana = 90,
     max_uses = 20,
     name = "$action_tentacle_ray_enemy",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/tentacle_ray_enemy.png",
     type = 4,
    },
    TENTACLE_TIMER = {
     description = "$actiondesc_tentacle_timer",
     mana = 20,
     name = "$action_tentacle_timer",
     price = 250,
     sprite = "data/ui_gfx/gun_actions/tentacle_timer.png",
     type = 2,
    },
    THUNDERBALL = {
   description = "$actiondesc_thunderball",
     mana = 120,
     max_uses = 3,
     name = "$action_thunderball",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/thunderball.png",
     type = 0,
    },
    THUNDER_BLAST = {
     description = "$actiondesc_thunder_blast",
     mana = 110,
     name = "$action_thunder_blast",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/thunder_blast.png",
     type = 3,
    },
    TINY_GHOST = {
     description = "$actiondesc_tiny_ghost",
     mana = 0,
     name = "$action_tiny_ghost",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/tiny_ghost.png",
     type = 9,
    },
    TNTBOX = {
     description = "$actiondesc_tntbox",
     mana = 40,max_uses = 15,
     name = "$action_tntbox",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/tntbox.png",
     type = 0,
    },
    TNTBOX_BIG = {
     description = "$actiondesc_tntbox_big",
     mana = 40,
     max_uses = 15,
     name = "$action_tntbox_big",
     price = 170,
     sprite = "data/ui_gfx/gun_actions/tntbox_big.png",
     type = 0,
    },
    TORCH = {
     description = "$actiondesc_torch",
     mana = 0,
     name = "$action_torch",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/torch.png",
     type = 9,
    },
    TORCH_ELECTRIC = {
   description = "$actiondesc_torch_electric",
     mana = 0,
     name = "$action_torch_electric",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/torch_electric.png",
     type = 9,
    },
    TOUCH_ALCOHOL = {
     description = "$actiondesc_touch_alcohol",
     mana = 240,
     max_uses = 5,
     name = "$action_touch_alcohol",
     price = 360,
     sprite = "data/ui_gfx/gun_actions/touch_alcohol.png",
     type = 6,
    },
    TOUCH_BLOOD = {
     description = "$actiondesc_touch_blood",
     mana = 270,
     max_uses = 3,
     name = "$action_touch_blood",
     price = 390,
     sprite = "data/ui_gfx/gun_actions/touch_blood.png",
     type = 6,},
    TOUCH_GOLD = {
     description = "$actiondesc_touch_gold",
     mana = 300,
     max_uses = 1,
     name = "$action_touch_gold",
     price = 480,
     sprite = "data/ui_gfx/gun_actions/touch_gold.png",
     type = 6,
    },
    TOUCH_OIL = {
     description = "$actiondesc_touch_oil",
     mana = 260,
     max_uses = 5,
     name = "$action_touch_oil",
     price = 380,
     sprite = "data/ui_gfx/gun_actions/touch_oil.png",
     type = 6,
    },
    TOUCH_SMOKE = {
     description = "$actiondesc_touch_smoke",
     mana = 230,
     max_uses = 5,
     name = "$action_touch_smoke",
   price = 350,
     sprite = "data/ui_gfx/gun_actions/touch_smoke.png",
     type = 6,
    },
    TOUCH_WATER = {
     description = "$actiondesc_touch_water",
     mana = 280,
     max_uses = 5,
     name = "$action_touch_water",
     price = 420,
     sprite = "data/ui_gfx/gun_actions/touch_water.png",
     type = 6,
    },
    TOXIC_TO_ACID = {
     description = "$actiondesc_toxic_to_acid",
     mana = 50,
     name = "$action_toxic_to_acid",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/toxic_to_acid.png",
     type = 4,
    },
    TRANSMUTATION = {
     description = "$actiondesc_transmutation",
     mana = 80,
   max_uses = 8,
     name = "$action_transmutation",
     price = 180,
     sprite = "data/ui_gfx/gun_actions/transmutation.png",
     type = 4,
    },
    T_SHAPE = {
     description = "$actiondesc_t_shape",
     mana = 3,
     name = "$action_t_shape",
     price = 120,
     sprite = "data/ui_gfx/gun_actions/t_shape.png",
     type = 5,
    },
    UNSTABLE_GUNPOWDER = {
     description = "$actiondesc_unstable_gunpowder",
     mana = 15,
     name = "$action_unstable_gunpowder",
     price = 140,
     sprite = "data/ui_gfx/gun_actions/unstable_gunpowder.png",
     type = 4,
    },
    VACUUM_ENTITIES = {description = "$actiondesc_vacuum_entities",
     mana = 50,
     max_uses = 20,
     name = "$action_vacuum_entities",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/vacuum_entities.png",
     type = 3,
    },
    VACUUM_LIQUID = {
     description = "$actiondesc_vacuum_liquid",
     mana = 40,
     max_uses = 20,
     name = "$action_vacuum_liquid",
     price = 150,
     sprite = "data/ui_gfx/gun_actions/vacuum_liquid.png",
     type = 3,
    },
    VACUUM_POWDER = {
     description = "$actiondesc_vacuum_powder",
     mana = 40,
     max_uses = 20,
     name = "$action_vacuum_powder",
     price = 150,sprite = "data/ui_gfx/gun_actions/vacuum_powder.png",
     type = 3,
    },
    WALL_HORIZONTAL = {
     description = "$actiondesc_wall_horizontal",
     mana = 70,
     name = "$action_wall_horizontal",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/wall_horizontal.png",
     type = 3,
    },
    WALL_SQUARE = {
     description = "$actiondesc_wall_square",
     mana = 70,
     max_uses = 20,
     name = "$action_wall_square",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/wall_square.png",
     type = 3,
   },
    WALL_VERTICAL = {
     description = "$actiondesc_wall_vertical",
     mana = 70,
     name = "$action_wall_vertical",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/wall_vertical.png",
     type = 3,
    },WATER_TO_POISON = {
     description = "$actiondesc_water_to_poison",
     mana = 30,
     name = "$action_water_to_poison",
     price = 80,
   sprite = "data/ui_gfx/gun_actions/water_to_poison.png",
     type = 4,
    },
    WATER_TRAIL = {
     description = "$actiondesc_water_trail",
     mana = 10,
     name = "$action_water_trail",
     price = 160,
     sprite = "data/ui_gfx/gun_actions/water_trail.png",
     type = 4,
    },
    WORM_RAIN = {
   description = "$actiondesc_worm_rain",
     mana = 225,
     max_uses = 2,
     name = "$action_worm_rain",
     price = 300,
     sprite = "data/ui_gfx/gun_actions/worm_rain.png",
     type = 3,
    },
    WORM_SHOT = {
     description = "$actiondesc_worm_shot",
     mana = 150,
     max_uses = 10,
     name = "$action_worm_shot",
   price = 200,
     sprite = "data/ui_gfx/gun_actions/worm.png",
     type = 0,
    },
    W_SHAPE = {
     description = "$actiondesc_w_shape",
     mana = 3,
     name = "$action_w_shape",
     price = 160,
   sprite = "data/ui_gfx/gun_actions/w_shape.png",
     type = 5,
    },
    X_RAY = {
     description = "$actiondesc_x_ray",
     mana = 100,
     max_uses = 10,
     name = "$action_x_ray",
     price = 230,
     sprite = "data/ui_gfx/gun_actions/x_ray.png",
     type = 8,
   },
    Y_SHAPE = {
     description = "$actiondesc_y_shape",
     mana = 2,
     name = "$action_y_shape",
     price = 100,
     sprite = "data/ui_gfx/gun_actions/y_shape.png",
     type = 5,
    },
    ZETA = {
   description = "$actiondesc_zeta",
     mana = 10,
     name = "$action_zeta",
     price = 200,
     sprite = "data/ui_gfx/gun_actions/zeta.png",
     type = 7,
    },
   }
   