hsv_color_lookup = {
    ["data/ui_gfx/gun_actions/2_cards_on_death.png"] = { H = 0.112, S = 0.404, V = 0.98 },
    ["data/ui_gfx/gun_actions/3_cards_on_death.png"] = { H = 0.113, S = 0.348, V = 0.98 },
    ["data/ui_gfx/gun_actions/accelerating_shot.png"] = { H = 0.29, S = 0.167, V = 0.988 },
    ["data/ui_gfx/gun_actions/acid.png"] = { H = 0.068, S = 0.695, V = 0.373 },
    ["data/ui_gfx/gun_actions/acidshot.png"] = { H = 0.244, S = 0.5, V = 0.588 },
    ["data/ui_gfx/gun_actions/acidshot_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/acid_trail.png"] = { H = 0.097, S = 0.673, V = 0.42 },
    ["data/ui_gfx/gun_actions/acid_trail_unidentified.png"] = { H = 0.656, S = 0.089, V = 0.663 },
    ["data/ui_gfx/gun_actions/air_bullet.png"] = { H = 0.0, S = 0.0, V = 0.878 },
    ["data/ui_gfx/gun_actions/air_bullet_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/alcohol_blast.png"] = { H = 0.098, S = 0.756, V = 0.659 },
    ["data/ui_gfx/gun_actions/all_acid.png"] = { H = 0.268, S = 0.602, V = 0.827 },
    ["data/ui_gfx/gun_actions/all_blackholes.png"] = { H = 0.596, S = 0.43, V = 0.584 },
    ["data/ui_gfx/gun_actions/all_deathcrosses.png"] = { H = 0.482, S = 0.311, V = 0.831 },
    ["data/ui_gfx/gun_actions/all_discs.png"] = { H = 0.605, S = 0.144, V = 0.733 },
    ["data/ui_gfx/gun_actions/all_nukes.png"] = { H = 0.122, S = 0.511, V = 0.682 },
    ["data/ui_gfx/gun_actions/all_rockets.png"] = { H = 0.086, S = 0.159, V = 0.714 },
    ["data/ui_gfx/gun_actions/all_spells.png"] = { H = 0.112, S = 0.765, V = 1.0 },
    ["data/ui_gfx/gun_actions/alpha.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/arc_electric.png"] = { H = 0.593, S = 0.333, V = 0.988 },
    ["data/ui_gfx/gun_actions/arc_electric_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/arc_fire.png"] = { H = 0.063, S = 0.616, V = 0.91 },
    ["data/ui_gfx/gun_actions/arc_fire_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/arc_gunpowder.png"] = { H = 0.094, S = 0.58, V = 0.961 },
    ["data/ui_gfx/gun_actions/arc_poison.png"] = { H = 0.826, S = 0.486, V = 0.557 },
    ["data/ui_gfx/gun_actions/area_damage.png"] = { H = 0.801, S = 0.4, V = 0.902 },
    ["data/ui_gfx/gun_actions/arrow.png"] = { H = 0.048, S = 0.401, V = 0.616 },
    ["data/ui_gfx/gun_actions/arrow_unidentified.png"] = { H = 0.652, S = 0.059, V = 0.737 },
    ["data/ui_gfx/gun_actions/autoaim.png"] = { H = 0.0, S = 0.476, V = 0.808 },
    ["data/ui_gfx/gun_actions/avoiding_arc.png"] = { H = 0.02, S = 0.452, V = 0.494 },
    ["data/ui_gfx/gun_actions/baab_all.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/baab_empty.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/baab_is.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/baab_lava.png"] = { H = 0.095, S = 1.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/baab_love.png"] = { H = 0.856, S = 0.342, V = 0.918 },
    ["data/ui_gfx/gun_actions/baab_poop.png"] = { H = 0.071, S = 0.231, V = 0.475 },
    ["data/ui_gfx/gun_actions/baab_water.png"] = { H = 0.55, S = 1.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/ball_lightning.png"] = { H = 0.543, S = 0.263, V = 0.925 },
    ["data/ui_gfx/gun_actions/bee.png"] = { H = 0.051, S = 0.682, V = 0.616 },
    ["data/ui_gfx/gun_actions/berserk.png"] = { H = 0.012, S = 0.615, V = 0.714 },
    ["data/ui_gfx/gun_actions/berserk_field.png"] = { H = 0.016, S = 0.349, V = 0.831 },
    ["data/ui_gfx/gun_actions/berserk_field_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/big_magic_shield.png"] = { H = 0.576, S = 0.605, V = 0.843 },
    ["data/ui_gfx/gun_actions/black_hole.png"] = { H = 0.605, S = 0.47, V = 0.518 },
    ["data/ui_gfx/gun_actions/black_hole_big.png"] = { H = 0.627, S = 0.455, V = 0.431 },
    ["data/ui_gfx/gun_actions/black_hole_big_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/black_hole_giga.png"] = { H = 0.667, S = 0.378, V = 0.322 },
    ["data/ui_gfx/gun_actions/black_hole_timer.png"] = { H = 0.609, S = 0.44, V = 0.588 },
    ["data/ui_gfx/gun_actions/black_hole_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.686 },
    ["data/ui_gfx/gun_actions/blindness.png"] = { H = 0.99, S = 0.426, V = 0.792 },
    ["data/ui_gfx/gun_actions/bloodlust.png"] = { H = 0.0, S = 0.726, V = 0.729 },
    ["data/ui_gfx/gun_actions/bloodtentacle.png"] = { H = 0.979, S = 0.446, V = 0.616 },
    ["data/ui_gfx/gun_actions/blood_magic.png"] = { H = 0.952, S = 0.271, V = 0.71 },
    ["data/ui_gfx/gun_actions/blood_punch.png"] = { H = 0.014, S = 0.596, V = 0.718 },
    ["data/ui_gfx/gun_actions/blood_to_acid.png"] = { H = 0.114, S = 0.48, V = 0.702 },
    ["data/ui_gfx/gun_actions/blood_trail.png"] = { H = 0.017, S = 0.87, V = 0.631 },
    ["data/ui_gfx/gun_actions/bloomshot.png"] = { H = 0.234, S = 0.527, V = 0.663 },
    ["data/ui_gfx/gun_actions/bomb.png"] = { H = 0.658, S = 0.221, V = 0.337 },
    ["data/ui_gfx/gun_actions/bomb_cart.png"] = { H = 0.627, S = 0.268, V = 0.498 },
    ["data/ui_gfx/gun_actions/bomb_holy.png"] = { H = 0.103, S = 0.731, V = 0.949 },
    ["data/ui_gfx/gun_actions/bomb_holy_giga.png"] = { H = 0.114, S = 0.64, V = 0.949 },
    ["data/ui_gfx/gun_actions/bomb_trailer.png"] = { H = 0.0, S = 0.886, V = 1.0 },
    ["data/ui_gfx/gun_actions/bomb_unidentified.png"] = { H = 0.652, S = 0.058, V = 0.745 },
    ["data/ui_gfx/gun_actions/bounce.png"] = { H = 0.0, S = 0.0, V = 0.455 },
    ["data/ui_gfx/gun_actions/bounce_explosion.png"] = { H = 0.115, S = 0.292, V = 0.604 },
    ["data/ui_gfx/gun_actions/bounce_larpa.png"] = { H = 0.778, S = 0.105, V = 0.561 },
    ["data/ui_gfx/gun_actions/bounce_laser.png"] = { H = 0.265, S = 0.184, V = 0.576 },
    ["data/ui_gfx/gun_actions/bounce_laser_emitter.png"] = { H = 0.578, S = 0.194, V = 0.647 },
    ["data/ui_gfx/gun_actions/bounce_spark.png"] = { H = 0.579, S = 0.365, V = 0.612 },
    ["data/ui_gfx/gun_actions/bounce_unidentified.png"] = { H = 0.656, S = 0.089, V = 0.659 },
    ["data/ui_gfx/gun_actions/bouncy_orb.png"] = { H = 0.535, S = 0.449, V = 0.961 },
    ["data/ui_gfx/gun_actions/bouncy_orb_timer.png"] = { H = 0.558, S = 0.432, V = 0.89 },
    ["data/ui_gfx/gun_actions/bouncy_orb_timer_2.png"] = { H = 0.572, S = 0.422, V = 0.855 },
    ["data/ui_gfx/gun_actions/broken_spell.png"] = { H = 0.825, S = 0.429, V = 0.576 },
    ["data/ui_gfx/gun_actions/bubbleshot.png"] = { H = 0.581, S = 0.567, V = 0.878 },
    ["data/ui_gfx/gun_actions/bubbleshot_trigger.png"] = { H = 0.566, S = 0.362, V = 0.769 },
    ["data/ui_gfx/gun_actions/bubbleshot_trigger_unidentified.png"] = { H = 0.652, S = 0.056, V = 0.765 },
    ["data/ui_gfx/gun_actions/bubbleshot_unidentified.png"] = { H = 0.648, S = 0.044, V = 0.796 },
    ["data/ui_gfx/gun_actions/buckshot.png"] = { H = 0.216, S = 0.59, V = 0.784 },
    ["data/ui_gfx/gun_actions/building_back_wall_rock.png"] = { H = 0.238, S = 0.103, V = 0.267 },
    ["data/ui_gfx/gun_actions/building_board_wood.png"] = { H = 0.085, S = 0.554, V = 0.475 },
    ["data/ui_gfx/gun_actions/building_physics_templedoor.png"] = { H = 0.085, S = 0.554, V = 0.475 },
    ["data/ui_gfx/gun_actions/building_pressure_plate.png"] = { H = 0.085, S = 0.554, V = 0.475 },
    ["data/ui_gfx/gun_actions/bullet.png"] = { H = 0.222, S = 0.335, V = 0.878 },
    ["data/ui_gfx/gun_actions/bullet_timer.png"] = { H = 0.569, S = 0.259, V = 0.725 },
    ["data/ui_gfx/gun_actions/bullet_timer_unidentified.png"] = { H = 0.653, S = 0.065, V = 0.722 },
    ["data/ui_gfx/gun_actions/bullet_trigger.png"] = { H = 0.141, S = 0.496, V = 0.886 },
    ["data/ui_gfx/gun_actions/bullet_trigger_unidentified.png"] = { H = 0.653, S = 0.065, V = 0.722 },
    ["data/ui_gfx/gun_actions/bullet_unidentified.png"] = { H = 0.652, S = 0.058, V = 0.745 },
    ["data/ui_gfx/gun_actions/burning_critical.png"] = { H = 0.059, S = 0.35, V = 0.694 },
    ["data/ui_gfx/gun_actions/burn_trail.png"] = { H = 0.071, S = 0.654, V = 0.965 },
    ["data/ui_gfx/gun_actions/burn_trail_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.663 },
    ["data/ui_gfx/gun_actions/burst_2.png"] = { H = 0.0, S = 0.0, V = 0.773 },
    ["data/ui_gfx/gun_actions/burst_2_unidentified.png"] = { H = 0.65, S = 0.051, V = 0.776 },
    ["data/ui_gfx/gun_actions/burst_3.png"] = { H = 0.0, S = 0.0, V = 0.725 },
    ["data/ui_gfx/gun_actions/burst_3_unidentified.png"] = { H = 0.648, S = 0.046, V = 0.773 },
    ["data/ui_gfx/gun_actions/burst_4.png"] = { H = 0.0, S = 0.0, V = 0.635 },
    ["data/ui_gfx/gun_actions/burst_4_unidentified.png"] = { H = 0.652, S = 0.059, V = 0.729 },
    ["data/ui_gfx/gun_actions/burst_8.png"] = { H = 0.0, S = 0.0, V = 0.647 },
    ["data/ui_gfx/gun_actions/burst_x.png"] = { H = 0.037, S = 0.088, V = 0.804 },
    ["data/ui_gfx/gun_actions/cement.png"] = { H = 0.0, S = 0.0, V = 0.678 },
    ["data/ui_gfx/gun_actions/chainsaw.png"] = { H = 0.0, S = 0.119, V = 0.761 },
    ["data/ui_gfx/gun_actions/chainsaw_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.698 },
    ["data/ui_gfx/gun_actions/chain_bolt.png"] = { H = 0.821, S = 0.307, V = 0.882 },
    ["data/ui_gfx/gun_actions/chain_shot.png"] = { H = 0.072, S = 0.353, V = 1.0 },
    ["data/ui_gfx/gun_actions/chaos_polymorph_field.png"] = { H = 0.756, S = 0.223, V = 0.792 },
    ["data/ui_gfx/gun_actions/chaos_polymorph_field_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/chaotic_arc.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/charm.png"] = { H = 0.824, S = 0.36, V = 0.784 },
    ["data/ui_gfx/gun_actions/charm_field.png"] = { H = 0.819, S = 0.36, V = 0.882 },
    ["data/ui_gfx/gun_actions/charm_on_burning.png"] = { H = 0.036, S = 0.701, V = 0.918 },
    ["data/ui_gfx/gun_actions/charm_on_toxic.png"] = { H = 0.045, S = 0.641, V = 0.82 },
    ["data/ui_gfx/gun_actions/circle_acid.png"] = { H = 0.307, S = 0.556, V = 0.812 },
    ["data/ui_gfx/gun_actions/circle_fire.png"] = { H = 0.074, S = 0.599, V = 0.812 },
    ["data/ui_gfx/gun_actions/circle_oil.png"] = { H = 0.113, S = 0.508, V = 0.478 },
    ["data/ui_gfx/gun_actions/circle_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/circle_shape_unidentified.png"] = { H = 0.644, S = 0.088, V = 0.667 },
    ["data/ui_gfx/gun_actions/circle_water.png"] = { H = 0.576, S = 0.479, V = 0.827 },
    ["data/ui_gfx/gun_actions/cleaning_tool.png"] = { H = 0.667, S = 0.357, V = 0.549 },
    ["data/ui_gfx/gun_actions/clipping_shot.png"] = { H = 0.017, S = 0.612, V = 0.384 },
    ["data/ui_gfx/gun_actions/cloud_acid.png"] = { H = 0.284, S = 0.84, V = 0.808 },
    ["data/ui_gfx/gun_actions/cloud_blood.png"] = { H = 0.0, S = 0.784, V = 0.761 },
    ["data/ui_gfx/gun_actions/cloud_oil.png"] = { H = 0.092, S = 0.374, V = 0.514 },
    ["data/ui_gfx/gun_actions/cloud_thunder.png"] = { H = 0.978, S = 0.178, V = 0.663 },
    ["data/ui_gfx/gun_actions/cloud_water.png"] = { H = 0.0, S = 0.0, V = 0.565 },
    ["data/ui_gfx/gun_actions/cloud_water_unidentified.png"] = { H = 0.639, S = 0.065, V = 0.729 },
    ["data/ui_gfx/gun_actions/colour_blue.png"] = { H = 0.586, S = 0.771, V = 0.961 },
    ["data/ui_gfx/gun_actions/colour_green.png"] = { H = 0.285, S = 0.596, V = 0.776 },
    ["data/ui_gfx/gun_actions/colour_invis.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/colour_orange.png"] = { H = 0.087, S = 0.758, V = 0.973 },
    ["data/ui_gfx/gun_actions/colour_purple.png"] = { H = 0.785, S = 0.854, V = 0.941 },
    ["data/ui_gfx/gun_actions/colour_rainbow.png"] = { H = 0.085, S = 0.305, V = 0.682 },
    ["data/ui_gfx/gun_actions/colour_red.png"] = { H = 0.0, S = 0.896, V = 0.906 },
    ["data/ui_gfx/gun_actions/colour_yellow.png"] = { H = 0.136, S = 0.648, V = 0.925 },
    ["data/ui_gfx/gun_actions/commander_bullet.png"] = { H = 0.812, S = 0.231, V = 0.949 },
    ["data/ui_gfx/gun_actions/critical_blood.png"] = { H = 0.006, S = 0.345, V = 0.659 },
    ["data/ui_gfx/gun_actions/critical_hit.png"] = { H = 0.016, S = 0.215, V = 0.584 },
    ["data/ui_gfx/gun_actions/critical_oil.png"] = { H = 0.057, S = 0.272, V = 0.592 },
    ["data/ui_gfx/gun_actions/critical_water.png"] = { H = 0.657, S = 0.122, V = 0.576 },
    ["data/ui_gfx/gun_actions/critical_wet.png"] = { H = 0.657, S = 0.122, V = 0.576 },
    ["data/ui_gfx/gun_actions/crumbling_earth.png"] = { H = 0.025, S = 0.723, V = 0.396 },
    ["data/ui_gfx/gun_actions/crumbling_earth_projectile.png"] = { H = 0.029, S = 0.696, V = 0.451 },
    ["data/ui_gfx/gun_actions/curse.png"] = { H = 0.074, S = 0.304, V = 0.722 },
    ["data/ui_gfx/gun_actions/cursed_orb.png"] = { H = 0.99, S = 0.726, V = 0.816 },
    ["data/ui_gfx/gun_actions/curse_wither_electricity.png"] = { H = 0.321, S = 0.075, V = 0.678 },
    ["data/ui_gfx/gun_actions/curse_wither_explosion.png"] = { H = 0.124, S = 0.266, V = 0.694 },
    ["data/ui_gfx/gun_actions/curse_wither_melee.png"] = { H = 0.177, S = 0.098, V = 0.643 },
    ["data/ui_gfx/gun_actions/curse_wither_projectile.png"] = { H = 0.19, S = 0.202, V = 0.678 },
    ["data/ui_gfx/gun_actions/damage.png"] = { H = 0.006, S = 0.612, V = 0.576 },
    ["data/ui_gfx/gun_actions/damage_forever.png"] = { H = 0.005, S = 0.556, V = 0.741 },
    ["data/ui_gfx/gun_actions/damage_friendly.png"] = { H = 0.019, S = 0.144, V = 0.49 },
    ["data/ui_gfx/gun_actions/damage_friendly_unidentified.png"] = { H = 0.655, S = 0.081, V = 0.678 },
    ["data/ui_gfx/gun_actions/damage_random.png"] = { H = 0.019, S = 0.349, V = 0.584 },
    ["data/ui_gfx/gun_actions/damage_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.686 },
    ["data/ui_gfx/gun_actions/damage_x2.png"] = { H = 0.031, S = 0.873, V = 0.678 },
    ["data/ui_gfx/gun_actions/damage_x2_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/damage_x5.png"] = { H = 0.03, S = 0.764, V = 0.714 },
    ["data/ui_gfx/gun_actions/darkflame.png"] = { H = 0.837, S = 0.495, V = 0.412 },
    ["data/ui_gfx/gun_actions/darkflame_unidentified.png"] = { H = 0.639, S = 0.065, V = 0.722 },
    ["data/ui_gfx/gun_actions/death_cross.png"] = { H = 0.565, S = 0.403, V = 0.953 },
    ["data/ui_gfx/gun_actions/death_cross_big.png"] = { H = 0.275, S = 0.404, V = 0.882 },
    ["data/ui_gfx/gun_actions/death_cross_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.71 },
    ["data/ui_gfx/gun_actions/death_trigger.png"] = { H = 0.611, S = 0.124, V = 0.761 },
    ["data/ui_gfx/gun_actions/decelerating_shot.png"] = { H = 0.022, S = 0.276, V = 0.965 },
    ["data/ui_gfx/gun_actions/decoy.png"] = { H = 0.893, S = 0.279, V = 0.549 },
    ["data/ui_gfx/gun_actions/decoy_trigger.png"] = { H = 0.032, S = 0.31, V = 0.659 },
    ["data/ui_gfx/gun_actions/decoy_trigger_unidentified.png"] = { H = 0.656, S = 0.093, V = 0.635 },
    ["data/ui_gfx/gun_actions/decoy_unidentified.png"] = { H = 0.656, S = 0.092, V = 0.639 },
    ["data/ui_gfx/gun_actions/delayed_spell.png"] = { H = 0.284, S = 0.195, V = 0.945 },
    ["data/ui_gfx/gun_actions/destruction.png"] = { H = 0.828, S = 0.265, V = 0.886 },
    ["data/ui_gfx/gun_actions/digger.png"] = { H = 0.126, S = 0.52, V = 0.58 },
    ["data/ui_gfx/gun_actions/digger_unidentified.png"] = { H = 0.641, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/disc_bullet.png"] = { H = 0.604, S = 0.133, V = 0.71 },
    ["data/ui_gfx/gun_actions/disc_bullet_big.png"] = { H = 0.633, S = 0.133, V = 0.588 },
    ["data/ui_gfx/gun_actions/disc_bullet_unidentified.png"] = { H = 0.65, S = 0.052, V = 0.761 },
    ["data/ui_gfx/gun_actions/divide_10.png"] = { H = 0.0, S = 0.0, V = 0.922 },
    ["data/ui_gfx/gun_actions/divide_2.png"] = { H = 0.0, S = 0.0, V = 0.922 },
    ["data/ui_gfx/gun_actions/divide_3.png"] = { H = 0.0, S = 0.0, V = 0.922 },
    ["data/ui_gfx/gun_actions/divide_4.png"] = { H = 0.0, S = 0.0, V = 0.922 },
    ["data/ui_gfx/gun_actions/draw_3_random.png"] = { H = 0.133, S = 0.098, V = 0.804 },
    ["data/ui_gfx/gun_actions/draw_random.png"] = { H = 0.15, S = 0.049, V = 0.8 },
    ["data/ui_gfx/gun_actions/draw_random_x3.png"] = { H = 0.022, S = 0.072, V = 0.816 },
    ["data/ui_gfx/gun_actions/drone.png"] = { H = 0.617, S = 0.161, V = 0.659 },
    ["data/ui_gfx/gun_actions/duck.png"] = { H = 0.139, S = 0.397, V = 0.475 },
    ["data/ui_gfx/gun_actions/duck_2.png"] = { H = 0.124, S = 0.447, V = 0.518 },
    ["data/ui_gfx/gun_actions/duplicate.png"] = { H = 0.78, S = 0.125, V = 0.973 },
    ["data/ui_gfx/gun_actions/duplicate_on_death.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/dynamite.png"] = { H = 0.011, S = 0.66, V = 0.624 },
    ["data/ui_gfx/gun_actions/dynamite_unidentified.png"] = { H = 0.667, S = 0.033, V = 0.827 },
    ["data/ui_gfx/gun_actions/electric_charge.png"] = { H = 0.604, S = 0.367, V = 0.941 },
    ["data/ui_gfx/gun_actions/electric_charge_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/electrocution_field.png"] = { H = 0.603, S = 0.337, V = 0.976 },
    ["data/ui_gfx/gun_actions/electrocution_field_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.69 },
    ["data/ui_gfx/gun_actions/empty.png"] = { H = 0.0, S = 0.0, V = 0.678 },
    ["data/ui_gfx/gun_actions/energy_shield.png"] = { H = 0.576, S = 0.579, V = 0.969 },
    ["data/ui_gfx/gun_actions/energy_shield_sector.png"] = { H = 0.577, S = 0.56, V = 0.973 },
    ["data/ui_gfx/gun_actions/energy_shield_sector_unidentified.png"] = { H = 0.656, S = 0.098, V = 0.639 },
    ["data/ui_gfx/gun_actions/energy_shield_shot.png"] = { H = 0.577, S = 0.492, V = 0.973 },
    ["data/ui_gfx/gun_actions/energy_shield_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.659 },
    ["data/ui_gfx/gun_actions/enlarge.png"] = { H = 0.218, S = 0.201, V = 0.957 },
    ["data/ui_gfx/gun_actions/essence_to_power.png"] = { H = 0.62, S = 0.469, V = 0.686 },
    ["data/ui_gfx/gun_actions/expanding_orb.png"] = { H = 0.131, S = 0.909, V = 0.906 },
    ["data/ui_gfx/gun_actions/explode_on_alcohol.png"] = { H = 0.11, S = 0.701, V = 0.867 },
    ["data/ui_gfx/gun_actions/explode_on_alcohol_giga.png"] = { H = 0.113, S = 0.671, V = 0.929 },
    ["data/ui_gfx/gun_actions/explode_on_slime.png"] = { H = 0.061, S = 0.535, V = 0.886 },
    ["data/ui_gfx/gun_actions/explode_on_slime_giga.png"] = { H = 0.094, S = 0.601, V = 0.933 },
    ["data/ui_gfx/gun_actions/exploding_deer.png"] = { H = 0.07, S = 0.514, V = 0.694 },
    ["data/ui_gfx/gun_actions/exploding_deer_unidentified.png"] = { H = 0.654, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/explosion.png"] = { H = 0.109, S = 0.707, V = 0.965 },
    ["data/ui_gfx/gun_actions/explosion_light.png"] = { H = 0.108, S = 0.714, V = 0.961 },
    ["data/ui_gfx/gun_actions/explosion_remove.png"] = { H = 0.052, S = 0.783, V = 0.831 },
    ["data/ui_gfx/gun_actions/explosion_tiny.png"] = { H = 0.109, S = 0.541, V = 0.898 },
    ["data/ui_gfx/gun_actions/explosion_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/explosive_projectile.png"] = { H = 0.059, S = 0.68, V = 0.502 },
    ["data/ui_gfx/gun_actions/explosive_projectile_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/fireball.png"] = { H = 0.084, S = 0.393, V = 0.969 },
    ["data/ui_gfx/gun_actions/fireball_ray.png"] = { H = 0.083, S = 0.451, V = 0.929 },
    ["data/ui_gfx/gun_actions/fireball_ray_enemy.png"] = { H = 0.09, S = 0.491, V = 0.871 },
    ["data/ui_gfx/gun_actions/fireball_ray_line.png"] = { H = 0.084, S = 0.389, V = 0.937 },
    ["data/ui_gfx/gun_actions/fireball_unidentified.png"] = { H = 0.655, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/firebomb.png"] = { H = 0.064, S = 0.406, V = 0.957 },
    ["data/ui_gfx/gun_actions/firebomb_unidentified.png"] = { H = 0.656, S = 0.09, V = 0.651 },
    ["data/ui_gfx/gun_actions/fireworks.png"] = { H = 0.295, S = 0.1, V = 0.863 },
    ["data/ui_gfx/gun_actions/fire_blast.png"] = { H = 0.067, S = 0.679, V = 0.965 },
    ["data/ui_gfx/gun_actions/fire_blast_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.667 },
    ["data/ui_gfx/gun_actions/fire_trail.png"] = { H = 0.098, S = 0.595, V = 0.969 },
    ["data/ui_gfx/gun_actions/fire_trail_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/fizzle.png"] = { H = 0.0, S = 0.057, V = 0.757 },
    ["data/ui_gfx/gun_actions/flamethrower.png"] = { H = 0.079, S = 0.508, V = 0.949 },
    ["data/ui_gfx/gun_actions/flamethrower_unidentified.png"] = { H = 0.641, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/floating_arc.png"] = { H = 0.02, S = 0.452, V = 0.494 },
    ["data/ui_gfx/gun_actions/flowershot.png"] = { H = 0.933, S = 0.312, V = 0.969 },
    ["data/ui_gfx/gun_actions/fly_downwards.png"] = { H = 0.571, S = 0.292, V = 0.886 },
    ["data/ui_gfx/gun_actions/fly_upwards.png"] = { H = 0.571, S = 0.292, V = 0.886 },
    ["data/ui_gfx/gun_actions/freeze.png"] = { H = 0.554, S = 0.228, V = 0.965 },
    ["data/ui_gfx/gun_actions/freeze_alt.png"] = { H = 0.558, S = 0.091, V = 0.992 },
    ["data/ui_gfx/gun_actions/freeze_field.png"] = { H = 0.576, S = 0.215, V = 0.839 },
    ["data/ui_gfx/gun_actions/freeze_field_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/freeze_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.667 },
    ["data/ui_gfx/gun_actions/freezing_gaze.png"] = { H = 0.591, S = 0.729, V = 1.0 },
    ["data/ui_gfx/gun_actions/friend_fly.png"] = { H = 0.833, S = 0.252, V = 0.514 },
    ["data/ui_gfx/gun_actions/gamma.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/generate_random_deck_5.png"] = { H = 0.635, S = 0.353, V = 0.812 },
    ["data/ui_gfx/gun_actions/glitter_bomb.png"] = { H = 0.869, S = 0.596, V = 0.671 },
    ["data/ui_gfx/gun_actions/glowing_bolt.png"] = { H = 0.0, S = 0.0, V = 0.827 },
    ["data/ui_gfx/gun_actions/glue_shot.png"] = { H = 0.196, S = 0.16, V = 0.835 },
    ["data/ui_gfx/gun_actions/golden_punch.png"] = { H = 0.111, S = 0.586, V = 0.957 },
    ["data/ui_gfx/gun_actions/gore.png"] = { H = 0.061, S = 0.693, V = 0.588 },
    ["data/ui_gfx/gun_actions/gravity.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/gravity_anti.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/gravity_field_enemy.png"] = { H = 0.782, S = 0.394, V = 0.737 },
    ["data/ui_gfx/gun_actions/grenade.png"] = { H = 0.086, S = 0.423, V = 0.973 },
    ["data/ui_gfx/gun_actions/grenade_anti.png"] = { H = 0.086, S = 0.28, V = 0.784 },
    ["data/ui_gfx/gun_actions/grenade_large.png"] = { H = 0.08, S = 0.599, V = 0.949 },
    ["data/ui_gfx/gun_actions/grenade_tier_2.png"] = { H = 0.319, S = 0.426, V = 0.737 },
    ["data/ui_gfx/gun_actions/grenade_tier_3.png"] = { H = 0.74, S = 0.384, V = 1.0 },
    ["data/ui_gfx/gun_actions/grenade_trigger.png"] = { H = 0.1, S = 0.506, V = 0.969 },
    ["data/ui_gfx/gun_actions/grenade_trigger_unidentified.png"] = { H = 0.641, S = 0.071, V = 0.718 },
    ["data/ui_gfx/gun_actions/grenade_unidentified.png"] = { H = 0.653, S = 0.065, V = 0.725 },
    ["data/ui_gfx/gun_actions/gun.png"] = { H = 0.0, S = 0.0, V = 0.655 },
    ["data/ui_gfx/gun_actions/gunpowder_trail.png"] = { H = 0.057, S = 0.511, V = 0.69 },
    ["data/ui_gfx/gun_actions/heal_bullet.png"] = { H = 0.214, S = 0.314, V = 0.961 },
    ["data/ui_gfx/gun_actions/heal_bullet_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/heavy_bullet.png"] = { H = 0.216, S = 0.491, V = 0.918 },
    ["data/ui_gfx/gun_actions/heavy_bullet_timer.png"] = { H = 0.36, S = 0.166, V = 0.733 },
    ["data/ui_gfx/gun_actions/heavy_bullet_timer_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/heavy_bullet_trigger.png"] = { H = 0.175, S = 0.514, V = 0.871 },
    ["data/ui_gfx/gun_actions/heavy_bullet_trigger_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/heavy_bullet_unidentified.png"] = { H = 0.643, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/heavy_shot.png"] = { H = 0.035, S = 0.635, V = 0.58 },
    ["data/ui_gfx/gun_actions/heavy_shot_unidentified.png"] = { H = 0.643, S = 0.08, V = 0.69 },
    ["data/ui_gfx/gun_actions/heavy_spread.png"] = { H = 0.0, S = 0.0, V = 0.808 },
    ["data/ui_gfx/gun_actions/high_explosive.png"] = { H = 0.079, S = 0.623, V = 0.718 },
    ["data/ui_gfx/gun_actions/homing.png"] = { H = 0.0, S = 0.378, V = 0.871 },
    ["data/ui_gfx/gun_actions/homing_accelerating.png"] = { H = 0.952, S = 0.19, V = 0.722 },
    ["data/ui_gfx/gun_actions/homing_area.png"] = { H = 0.848, S = 0.122, V = 0.741 },
    ["data/ui_gfx/gun_actions/homing_cursor.png"] = { H = 0.0, S = 0.468, V = 0.847 },
    ["data/ui_gfx/gun_actions/homing_projectile.png"] = { H = 0.217, S = 0.377, V = 0.925 },
    ["data/ui_gfx/gun_actions/homing_rotate.png"] = { H = 0.0, S = 0.353, V = 0.878 },
    ["data/ui_gfx/gun_actions/homing_shooter.png"] = { H = 0.775, S = 0.248, V = 0.631 },
    ["data/ui_gfx/gun_actions/homing_short.png"] = { H = 0.0, S = 0.387, V = 0.871 },
    ["data/ui_gfx/gun_actions/homing_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/horizontal_arc.png"] = { H = 0.576, S = 0.655, V = 0.796 },
    ["data/ui_gfx/gun_actions/i-shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/iceball.png"] = { H = 0.588, S = 0.328, V = 0.992 },
    ["data/ui_gfx/gun_actions/icecircle.png"] = { H = 0.572, S = 0.794, V = 0.839 },
    ["data/ui_gfx/gun_actions/icethrower.png"] = { H = 0.562, S = 0.453, V = 0.961 },
    ["data/ui_gfx/gun_actions/if_else.png"] = { H = 0.536, S = 0.602, V = 0.788 },
    ["data/ui_gfx/gun_actions/if_end.png"] = { H = 0.535, S = 0.575, V = 0.839 },
    ["data/ui_gfx/gun_actions/if_enemy.png"] = { H = 0.522, S = 0.5, V = 0.776 },
    ["data/ui_gfx/gun_actions/if_half.png"] = { H = 0.534, S = 0.55, V = 0.827 },
    ["data/ui_gfx/gun_actions/if_hp.png"] = { H = 0.525, S = 0.512, V = 0.812 },
    ["data/ui_gfx/gun_actions/if_projectile.png"] = { H = 0.523, S = 0.505, V = 0.737 },
    ["data/ui_gfx/gun_actions/inebriation.png"] = { H = 0.119, S = 0.394, V = 0.867 },
    ["data/ui_gfx/gun_actions/infestation.png"] = { H = 0.816, S = 0.122, V = 0.933 },
    ["data/ui_gfx/gun_actions/i_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/i_shape_unidentified.png"] = { H = 0.644, S = 0.089, V = 0.659 },
    ["data/ui_gfx/gun_actions/kantele_a.png"] = { H = 0.087, S = 0.409, V = 0.882 },
    ["data/ui_gfx/gun_actions/kantele_a2.png"] = { H = 0.086, S = 0.406, V = 0.878 },
    ["data/ui_gfx/gun_actions/kantele_b.png"] = { H = 0.085, S = 0.42, V = 0.859 },
    ["data/ui_gfx/gun_actions/kantele_c.png"] = { H = 0.084, S = 0.421, V = 0.847 },
    ["data/ui_gfx/gun_actions/kantele_d.png"] = { H = 0.087, S = 0.409, V = 0.882 },
    ["data/ui_gfx/gun_actions/kantele_dis.png"] = { H = 0.087, S = 0.405, V = 0.871 },
    ["data/ui_gfx/gun_actions/kantele_e.png"] = { H = 0.087, S = 0.411, V = 0.878 },
    ["data/ui_gfx/gun_actions/kantele_f.png"] = { H = 0.085, S = 0.411, V = 0.878 },
    ["data/ui_gfx/gun_actions/kantele_g.png"] = { H = 0.085, S = 0.418, V = 0.863 },
    ["data/ui_gfx/gun_actions/kantele_gsharp.png"] = { H = 0.085, S = 0.411, V = 0.859 },
    ["data/ui_gfx/gun_actions/keyshot.png"] = { H = 0.146, S = 0.159, V = 0.984 },
    ["data/ui_gfx/gun_actions/knife.png"] = { H = 0.588, S = 0.288, V = 0.749 },
    ["data/ui_gfx/gun_actions/knockback.png"] = { H = 0.127, S = 0.332, V = 0.98 },
    ["data/ui_gfx/gun_actions/knockback_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.69 },
    ["data/ui_gfx/gun_actions/lance.png"] = { H = 0.577, S = 0.272, V = 0.965 },
    ["data/ui_gfx/gun_actions/lance_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.686 },
    ["data/ui_gfx/gun_actions/larpa_chaos.png"] = { H = 0.778, S = 0.218, V = 0.863 },
    ["data/ui_gfx/gun_actions/larpa_chaos_2.png"] = { H = 0.779, S = 0.3, V = 0.796 },
    ["data/ui_gfx/gun_actions/larpa_death.png"] = { H = 0.994, S = 0.473, V = 0.439 },
    ["data/ui_gfx/gun_actions/larpa_downwards.png"] = { H = 0.78, S = 0.269, V = 0.816 },
    ["data/ui_gfx/gun_actions/larpa_upwards.png"] = { H = 0.78, S = 0.269, V = 0.816 },
    ["data/ui_gfx/gun_actions/laser.png"] = { H = 0.233, S = 0.443, V = 0.929 },
    ["data/ui_gfx/gun_actions/laser_emitter.png"] = { H = 0.582, S = 0.407, V = 0.839 },
    ["data/ui_gfx/gun_actions/laser_emitter_cutter.png"] = { H = 0.265, S = 0.33, V = 0.843 },
    ["data/ui_gfx/gun_actions/laser_emitter_four.png"] = { H = 0.576, S = 0.325, V = 0.906 },
    ["data/ui_gfx/gun_actions/laser_emitter_ray.png"] = { H = 0.581, S = 0.38, V = 0.918 },
    ["data/ui_gfx/gun_actions/laser_emitter_wider.png"] = { H = 0.586, S = 0.471, V = 0.949 },
    ["data/ui_gfx/gun_actions/laser_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/lava_to_blood.png"] = { H = 0.056, S = 0.596, V = 0.882 },
    ["data/ui_gfx/gun_actions/levitation_field.png"] = { H = 0.089, S = 0.64, V = 0.827 },
    ["data/ui_gfx/gun_actions/levitation_field_unidentified.png"] = { H = 0.643, S = 0.08, V = 0.69 },
    ["data/ui_gfx/gun_actions/levitation_projectile.png"] = { H = 0.628, S = 0.079, V = 0.647 },
    ["data/ui_gfx/gun_actions/lifetime.png"] = { H = 0.609, S = 0.318, V = 0.753 },
    ["data/ui_gfx/gun_actions/lifetime_down.png"] = { H = 0.975, S = 0.34, V = 0.784 },
    ["data/ui_gfx/gun_actions/lifetime_infinite.png"] = { H = 0.607, S = 0.31, V = 0.773 },
    ["data/ui_gfx/gun_actions/light.png"] = { H = 0.098, S = 0.366, V = 0.835 },
    ["data/ui_gfx/gun_actions/lightning.png"] = { H = 0.54, S = 0.254, V = 0.957 },
    ["data/ui_gfx/gun_actions/lightning_ray.png"] = { H = 0.542, S = 0.315, V = 0.945 },
    ["data/ui_gfx/gun_actions/lightning_ray_enemy.png"] = { H = 0.343, S = 0.09, V = 0.784 },
    ["data/ui_gfx/gun_actions/lightning_unidentified.png"] = { H = 0.65, S = 0.051, V = 0.773 },
    ["data/ui_gfx/gun_actions/light_bullet.png"] = { H = 0.772, S = 0.352, V = 0.969 },
    ["data/ui_gfx/gun_actions/light_bullet_timer.png"] = { H = 0.672, S = 0.306, V = 0.847 },
    ["data/ui_gfx/gun_actions/light_bullet_timer_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/light_bullet_trigger.png"] = { H = 0.006, S = 0.236, V = 0.898 },
    ["data/ui_gfx/gun_actions/light_bullet_trigger_2.png"] = { H = 0.154, S = 0.263, V = 0.776 },
    ["data/ui_gfx/gun_actions/light_bullet_trigger_2_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/light_bullet_trigger_timer.png"] = { H = 0.744, S = 0.139, V = 0.733 },
    ["data/ui_gfx/gun_actions/light_bullet_trigger_unidentified.png"] = { H = 0.643, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/light_bullet_unidentified.png"] = { H = 0.643, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/light_shot.png"] = { H = 0.593, S = 0.671, V = 0.596 },
    ["data/ui_gfx/gun_actions/line_arc.png"] = { H = 0.57, S = 0.191, V = 0.922 },
    ["data/ui_gfx/gun_actions/liquid_to_explosion.png"] = { H = 0.105, S = 0.312, V = 0.741 },
    ["data/ui_gfx/gun_actions/long_distance_cast.png"] = { H = 0.81, S = 0.12, V = 0.949 },
    ["data/ui_gfx/gun_actions/luminous_drill.png"] = { H = 0.259, S = 0.605, V = 0.804 },
    ["data/ui_gfx/gun_actions/luminous_drill_timer.png"] = { H = 0.294, S = 0.308, V = 0.765 },
    ["data/ui_gfx/gun_actions/machinegun_bullet.png"] = { H = 0.117, S = 0.63, V = 0.965 },
    ["data/ui_gfx/gun_actions/magic_shield.png"] = { H = 0.576, S = 0.588, V = 0.847 },
    ["data/ui_gfx/gun_actions/mana.png"] = { H = 0.607, S = 0.366, V = 0.965 },
    ["data/ui_gfx/gun_actions/mana_recharge.png"] = { H = 0.539, S = 0.517, V = 0.941 },
    ["data/ui_gfx/gun_actions/material_acid.png"] = { H = 0.309, S = 0.686, V = 0.663 },
    ["data/ui_gfx/gun_actions/material_acid_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.659 },
    ["data/ui_gfx/gun_actions/material_blood.png"] = { H = 0.018, S = 0.968, V = 0.616 },
    ["data/ui_gfx/gun_actions/material_blood_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.663 },
    ["data/ui_gfx/gun_actions/material_cement.png"] = { H = 0.0, S = 0.0, V = 0.451 },
    ["data/ui_gfx/gun_actions/material_debug.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/material_dirt.png"] = { H = 0.143, S = 0.422, V = 0.325 },
    ["data/ui_gfx/gun_actions/material_gunpowder_explosive.png"] = { H = 0.058, S = 0.483, V = 0.675 },
    ["data/ui_gfx/gun_actions/material_lava.png"] = { H = 0.079, S = 0.86, V = 0.949 },
    ["data/ui_gfx/gun_actions/material_liquid.png"] = { H = 0.783, S = 0.1, V = 0.392 },
    ["data/ui_gfx/gun_actions/material_oil.png"] = { H = 0.167, S = 0.429, V = 0.357 },
    ["data/ui_gfx/gun_actions/material_oil_unidentified.png"] = { H = 0.643, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/material_water.png"] = { H = 0.598, S = 0.848, V = 0.851 },
    ["data/ui_gfx/gun_actions/material_water_unidentified.png"] = { H = 0.656, S = 0.089, V = 0.659 },
    ["data/ui_gfx/gun_actions/matter_eater.png"] = { H = 0.021, S = 0.621, V = 0.404 },
    ["data/ui_gfx/gun_actions/megalaser.png"] = { H = 0.227, S = 0.313, V = 0.965 },
    ["data/ui_gfx/gun_actions/meteor.png"] = { H = 0.106, S = 0.533, V = 0.965 },
    ["data/ui_gfx/gun_actions/meteor_rain.png"] = { H = 0.071, S = 0.332, V = 0.969 },
    ["data/ui_gfx/gun_actions/meteor_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/midas.png"] = { H = 0.093, S = 0.48, V = 0.98 },
    ["data/ui_gfx/gun_actions/mine.png"] = { H = 0.993, S = 0.475, V = 0.957 },
    ["data/ui_gfx/gun_actions/mine_death_trigger.png"] = { H = 0.025, S = 0.514, V = 0.953 },
    ["data/ui_gfx/gun_actions/mine_death_trigger_unidentified.png"] = { H = 0.652, S = 0.059, V = 0.737 },
    ["data/ui_gfx/gun_actions/mine_unidentified.png"] = { H = 0.652, S = 0.057, V = 0.753 },
    ["data/ui_gfx/gun_actions/misfire.png"] = { H = 0.0, S = 0.005, V = 0.776 },
    ["data/ui_gfx/gun_actions/misfire_critical.png"] = { H = 0.035, S = 0.813, V = 0.651 },
    ["data/ui_gfx/gun_actions/missile.png"] = { H = 0.0, S = 0.392, V = 0.71 },
    ["data/ui_gfx/gun_actions/mist_alcohol.png"] = { H = 0.082, S = 0.579, V = 0.671 },
    ["data/ui_gfx/gun_actions/mist_blood.png"] = { H = 0.0, S = 0.591, V = 0.624 },
    ["data/ui_gfx/gun_actions/mist_radioactive.png"] = { H = 0.239, S = 0.495, V = 0.729 },
    ["data/ui_gfx/gun_actions/mist_slime.png"] = { H = 0.786, S = 0.481, V = 0.627 },
    ["data/ui_gfx/gun_actions/mu.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/necromancy.png"] = { H = 0.0, S = 0.009, V = 0.847 },
    ["data/ui_gfx/gun_actions/nolla.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/nuke.png"] = { H = 0.121, S = 0.517, V = 0.69 },
    ["data/ui_gfx/gun_actions/nuke_giga.png"] = { H = 0.183, S = 0.367, V = 0.651 },
    ["data/ui_gfx/gun_actions/nuke_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.702 },
    ["data/ui_gfx/gun_actions/ocarina_a.png"] = { H = 0.0, S = 0.0, V = 0.906 },
    ["data/ui_gfx/gun_actions/ocarina_a2.png"] = { H = 0.0, S = 0.0, V = 0.902 },
    ["data/ui_gfx/gun_actions/ocarina_b.png"] = { H = 0.0, S = 0.0, V = 0.867 },
    ["data/ui_gfx/gun_actions/ocarina_c.png"] = { H = 0.0, S = 0.0, V = 0.851 },
    ["data/ui_gfx/gun_actions/ocarina_d.png"] = { H = 0.0, S = 0.0, V = 0.902 },
    ["data/ui_gfx/gun_actions/ocarina_e.png"] = { H = 0.0, S = 0.0, V = 0.898 },
    ["data/ui_gfx/gun_actions/ocarina_f.png"] = { H = 0.0, S = 0.0, V = 0.898 },
    ["data/ui_gfx/gun_actions/ocarina_gsharp.png"] = { H = 0.0, S = 0.0, V = 0.886 },
    ["data/ui_gfx/gun_actions/oiled_4x_damage.png"] = { H = 0.065, S = 0.513, V = 0.451 },
    ["data/ui_gfx/gun_actions/oiled_freeze.png"] = { H = 0.224, S = 0.215, V = 0.475 },
    ["data/ui_gfx/gun_actions/oil_trail.png"] = { H = 0.167, S = 0.23, V = 0.443 },
    ["data/ui_gfx/gun_actions/oil_trail_unindentified.png"] = { H = 0.654, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/omega.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/omega_disc_bullet.png"] = { H = 0.886, S = 0.131, V = 0.569 },
    ["data/ui_gfx/gun_actions/orbit_discs.png"] = { H = 0.617, S = 0.047, V = 0.843 },
    ["data/ui_gfx/gun_actions/orbit_fireballs.png"] = { H = 0.058, S = 0.628, V = 0.949 },
    ["data/ui_gfx/gun_actions/orbit_larpa.png"] = { H = 0.805, S = 0.208, V = 1.0 },
    ["data/ui_gfx/gun_actions/orbit_lasers.png"] = { H = 0.584, S = 0.388, V = 0.878 },
    ["data/ui_gfx/gun_actions/orbit_nukes.png"] = { H = 0.093, S = 0.548, V = 0.78 },
    ["data/ui_gfx/gun_actions/orbit_shot.png"] = { H = 0.571, S = 0.084, V = 0.984 },
    ["data/ui_gfx/gun_actions/pebble.png"] = { H = 0.397, S = 0.227, V = 0.502 },
    ["data/ui_gfx/gun_actions/pebble_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.698 },
    ["data/ui_gfx/gun_actions/penetrate_walls.png"] = { H = 0.016, S = 0.629, V = 0.38 },
    ["data/ui_gfx/gun_actions/pentagram_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/pentagram_shape_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/petrify.png"] = { H = 0.533, S = 0.041, V = 0.482 },
    ["data/ui_gfx/gun_actions/phantomshot_a.png"] = { H = 0.205, S = 0.304, V = 0.941 },
    ["data/ui_gfx/gun_actions/phantomshot_b.png"] = { H = 0.573, S = 0.307, V = 0.996 },
    ["data/ui_gfx/gun_actions/phasing_arc.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/phi.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/piercing_shot.png"] = { H = 0.207, S = 0.166, V = 0.875 },
    ["data/ui_gfx/gun_actions/pingpong_path.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/pink_orb.png"] = { H = 0.918, S = 0.317, V = 0.976 },
    ["data/ui_gfx/gun_actions/pipe_bomb.png"] = { H = 0.862, S = 0.473, V = 0.863 },
    ["data/ui_gfx/gun_actions/pipe_bomb_death_trigger.png"] = { H = 0.915, S = 0.411, V = 0.878 },
    ["data/ui_gfx/gun_actions/pipe_bomb_death_trigger_unidentified.png"] = { H = 0.654, S = 0.072, V = 0.71 },
    ["data/ui_gfx/gun_actions/pipe_bomb_detonator.png"] = { H = 0.863, S = 0.437, V = 0.843 },
    ["data/ui_gfx/gun_actions/pipe_bomb_detonator_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/pipe_bomb_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/plasma_flare.png"] = { H = 0.951, S = 0.521, V = 0.941 },
    ["data/ui_gfx/gun_actions/poison_blast.png"] = { H = 0.823, S = 0.526, V = 0.612 },
    ["data/ui_gfx/gun_actions/poison_blast_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.694 },
    ["data/ui_gfx/gun_actions/poison_trail.png"] = { H = 0.889, S = 0.49, V = 0.792 },
    ["data/ui_gfx/gun_actions/poison_trail_unidentified.png"] = { H = 0.654, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/pollen.png"] = { H = 0.186, S = 0.167, V = 0.796 },
    ["data/ui_gfx/gun_actions/polymorph.png"] = { H = 0.07, S = 0.13, V = 0.933 },
    ["data/ui_gfx/gun_actions/polymorph_field.png"] = { H = 0.833, S = 0.107, V = 0.882 },
    ["data/ui_gfx/gun_actions/polymorph_field_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.698 },
    ["data/ui_gfx/gun_actions/poo_trail.png"] = { H = 0.046, S = 0.566, V = 0.678 },
    ["data/ui_gfx/gun_actions/powerdigger.png"] = { H = 0.051, S = 0.54, V = 0.639 },
    ["data/ui_gfx/gun_actions/powerdigger_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.71 },
    ["data/ui_gfx/gun_actions/projectile_gravity_field.png"] = { H = 0.798, S = 0.518, V = 0.863 },
    ["data/ui_gfx/gun_actions/projectile_thunder_field.png"] = { H = 0.593, S = 0.472, V = 0.922 },
    ["data/ui_gfx/gun_actions/projectile_transmutation_field.png"] = { H = 0.824, S = 0.38, V = 0.722 },
    ["data/ui_gfx/gun_actions/propane_tank.png"] = { H = 0.778, S = 0.188, V = 0.502 },
    ["data/ui_gfx/gun_actions/purple_explosion_field.png"] = { H = 0.865, S = 0.433, V = 0.906 },
    ["data/ui_gfx/gun_actions/quantum_split.png"] = { H = 0.884, S = 0.272, V = 0.765 },
    ["data/ui_gfx/gun_actions/rainbow_trail.png"] = { H = 0.197, S = 0.387, V = 0.557 },
    ["data/ui_gfx/gun_actions/random_explosion.png"] = { H = 0.111, S = 0.223, V = 0.792 },
    ["data/ui_gfx/gun_actions/random_modifier.png"] = { H = 0.0, S = 0.074, V = 0.686 },
    ["data/ui_gfx/gun_actions/random_projectile.png"] = { H = 0.217, S = 0.148, V = 0.796 },
    ["data/ui_gfx/gun_actions/random_spell.png"] = { H = 0.333, S = 0.005, V = 0.796 },
    ["data/ui_gfx/gun_actions/random_static_projectile.png"] = { H = 0.591, S = 0.195, V = 0.663 },
    ["data/ui_gfx/gun_actions/recharge.png"] = { H = 0.0, S = 0.005, V = 0.851 },
    ["data/ui_gfx/gun_actions/recoil.png"] = { H = 0.119, S = 0.194, V = 0.988 },
    ["data/ui_gfx/gun_actions/recoil_damper.png"] = { H = 0.109, S = 0.373, V = 0.945 },
    ["data/ui_gfx/gun_actions/recoil_damper_unidentified.png"] = { H = 0.644, S = 0.088, V = 0.671 },
    ["data/ui_gfx/gun_actions/recoil_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.71 },
    ["data/ui_gfx/gun_actions/regeneration_field.png"] = { H = 0.22, S = 0.429, V = 0.886 },
    ["data/ui_gfx/gun_actions/regeneration_field_unidentified.png"] = { H = 0.653, S = 0.067, V = 0.698 },
    ["data/ui_gfx/gun_actions/remove_bounce.png"] = { H = 0.0, S = 0.141, V = 0.557 },
    ["data/ui_gfx/gun_actions/reset.png"] = { H = 0.057, S = 0.114, V = 1.0 },
    ["data/ui_gfx/gun_actions/rocket.png"] = { H = 0.081, S = 0.516, V = 0.965 },
    ["data/ui_gfx/gun_actions/rocket_downwards.png"] = { H = 0.824, S = 0.283, V = 0.776 },
    ["data/ui_gfx/gun_actions/rocket_octagon.png"] = { H = 0.82, S = 0.231, V = 0.867 },
    ["data/ui_gfx/gun_actions/rocket_tier_2.png"] = { H = 0.288, S = 0.469, V = 0.769 },
    ["data/ui_gfx/gun_actions/rocket_tier_3.png"] = { H = 0.743, S = 0.353, V = 1.0 },
    ["data/ui_gfx/gun_actions/rocket_unidentified.png"] = { H = 0.653, S = 0.065, V = 0.725 },
    ["data/ui_gfx/gun_actions/rubber_ball.png"] = { H = 0.297, S = 0.678, V = 0.694 },
    ["data/ui_gfx/gun_actions/rubber_ball_timer.png"] = { H = 0.867, S = 0.535, V = 0.608 },
    ["data/ui_gfx/gun_actions/rubber_ball_trigger.png"] = { H = 0.965, S = 0.678, V = 0.78 },
    ["data/ui_gfx/gun_actions/rubber_ball_unidentified.png"] = { H = 0.652, S = 0.057, V = 0.753 },
    ["data/ui_gfx/gun_actions/scattershot.png"] = { H = 0.111, S = 0.129, V = 0.824 },
    ["data/ui_gfx/gun_actions/scatter_2.png"] = { H = 0.117, S = 0.119, V = 0.992 },
    ["data/ui_gfx/gun_actions/scatter_2_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.686 },
    ["data/ui_gfx/gun_actions/scatter_3.png"] = { H = 0.117, S = 0.175, V = 0.988 },
    ["data/ui_gfx/gun_actions/scatter_3_unidentified.png"] = { H = 0.654, S = 0.073, V = 0.698 },
    ["data/ui_gfx/gun_actions/scatter_4.png"] = { H = 0.115, S = 0.179, V = 0.988 },
    ["data/ui_gfx/gun_actions/scatter_4_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.71 },
    ["data/ui_gfx/gun_actions/sea_acid.png"] = { H = 0.302, S = 0.59, V = 0.737 },
    ["data/ui_gfx/gun_actions/sea_acid_gas.png"] = { H = 0.274, S = 0.461, V = 0.596 },
    ["data/ui_gfx/gun_actions/sea_acid_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/sea_alcohol.png"] = { H = 0.078, S = 0.962, V = 0.627 },
    ["data/ui_gfx/gun_actions/sea_lava.png"] = { H = 0.068, S = 0.773, V = 0.949 },
    ["data/ui_gfx/gun_actions/sea_lava_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/sea_oil.png"] = { H = 0.167, S = 0.272, V = 0.361 },
    ["data/ui_gfx/gun_actions/sea_oil_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/sea_water.png"] = { H = 0.628, S = 0.514, V = 0.565 },
    ["data/ui_gfx/gun_actions/sea_water_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.714 },
    ["data/ui_gfx/gun_actions/sheep.png"] = { H = 0.07, S = 0.13, V = 0.933 },
    ["data/ui_gfx/gun_actions/shield_field.png"] = { H = 0.608, S = 0.331, V = 0.949 },
    ["data/ui_gfx/gun_actions/shield_field_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/shortlived_shot.png"] = { H = 0.966, S = 0.27, V = 0.494 },
    ["data/ui_gfx/gun_actions/sigma.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/sinewave.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/sinewave_unidentified.png"] = { H = 0.654, S = 0.074, V = 0.69 },
    ["data/ui_gfx/gun_actions/skull.png"] = { H = 0.145, S = 0.168, V = 0.722 },
    ["data/ui_gfx/gun_actions/slimeball.png"] = { H = 0.237, S = 0.534, V = 0.682 },
    ["data/ui_gfx/gun_actions/slimeball_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.682 },
    ["data/ui_gfx/gun_actions/slow_bullet.png"] = { H = 0.6, S = 0.44, V = 0.918 },
    ["data/ui_gfx/gun_actions/slow_bullet_timer.png"] = { H = 0.603, S = 0.399, V = 0.894 },
    ["data/ui_gfx/gun_actions/slow_bullet_timer_2.png"] = { H = 0.604, S = 0.402, V = 0.859 },
    ["data/ui_gfx/gun_actions/slow_bullet_timer_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.663 },
    ["data/ui_gfx/gun_actions/slow_bullet_trigger.png"] = { H = 0.587, S = 0.208, V = 0.831 },
    ["data/ui_gfx/gun_actions/slow_bullet_trigger_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.663 },
    ["data/ui_gfx/gun_actions/slow_bullet_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/slow_but_steady.png"] = { H = 0.0, S = 0.0, V = 0.608 },
    ["data/ui_gfx/gun_actions/smg_bullet.png"] = { H = 0.562, S = 0.204, V = 0.98 },
    ["data/ui_gfx/gun_actions/soil.png"] = { H = 0.143, S = 0.422, V = 0.325 },
    ["data/ui_gfx/gun_actions/speed.png"] = { H = 0.59, S = 0.146, V = 0.992 },
    ["data/ui_gfx/gun_actions/speed_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/spells_to_power.png"] = { H = 0.987, S = 0.716, V = 0.788 },
    ["data/ui_gfx/gun_actions/spiraling_shot.png"] = { H = 0.571, S = 0.055, V = 0.992 },
    ["data/ui_gfx/gun_actions/spiral_shot.png"] = { H = 0.566, S = 0.621, V = 0.941 },
    ["data/ui_gfx/gun_actions/spiral_shot_unidentified.png"] = { H = 0.65, S = 0.052, V = 0.753 },
    ["data/ui_gfx/gun_actions/spitter.png"] = { H = 0.929, S = 0.451, V = 0.965 },
    ["data/ui_gfx/gun_actions/spitter_green.png"] = { H = 0.34, S = 0.449, V = 0.918 },
    ["data/ui_gfx/gun_actions/spitter_green_timer.png"] = { H = 0.417, S = 0.364, V = 0.776 },
    ["data/ui_gfx/gun_actions/spitter_purple.png"] = { H = 0.741, S = 0.324, V = 0.945 },
    ["data/ui_gfx/gun_actions/spitter_purple_timer.png"] = { H = 0.687, S = 0.299, V = 0.878 },
    ["data/ui_gfx/gun_actions/spitter_timer.png"] = { H = 0.84, S = 0.266, V = 0.753 },
    ["data/ui_gfx/gun_actions/spitter_timer_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.667 },
    ["data/ui_gfx/gun_actions/spitter_unidentified.png"] = { H = 0.655, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/spore_pod.png"] = { H = 0.557, S = 0.5, V = 0.729 },
    ["data/ui_gfx/gun_actions/spread_reduce.png"] = { H = 0.118, S = 0.123, V = 0.992 },
    ["data/ui_gfx/gun_actions/spread_reduce_unidentified.png"] = { H = 0.653, S = 0.066, V = 0.718 },
    ["data/ui_gfx/gun_actions/static_to_sand.png"] = { H = 0.122, S = 0.142, V = 0.831 },
    ["data/ui_gfx/gun_actions/summon_egg.png"] = { H = 0.487, S = 0.178, V = 0.859 },
    ["data/ui_gfx/gun_actions/summon_hollow_egg.png"] = { H = 0.121, S = 0.223, V = 0.827 },
    ["data/ui_gfx/gun_actions/summon_portal.png"] = { H = 0.822, S = 0.351, V = 0.671 },
    ["data/ui_gfx/gun_actions/summon_rock.png"] = { H = 0.604, S = 0.134, V = 0.467 },
    ["data/ui_gfx/gun_actions/summon_wandghost.png"] = { H = 0.391, S = 0.333, V = 0.753 },
    ["data/ui_gfx/gun_actions/sun.png"] = { H = 0.127, S = 0.48, V = 0.988 },
    ["data/ui_gfx/gun_actions/super_teleport_cast.png"] = { H = 0.81, S = 0.113, V = 0.969 },
    ["data/ui_gfx/gun_actions/swapper_projectile.png"] = { H = 0.577, S = 0.051, V = 0.992 },
    ["data/ui_gfx/gun_actions/swarm_firebug.png"] = { H = 0.006, S = 0.393, V = 0.588 },
    ["data/ui_gfx/gun_actions/swarm_fly.png"] = { H = 0.599, S = 0.354, V = 0.576 },
    ["data/ui_gfx/gun_actions/swarm_wasp.png"] = { H = 0.111, S = 0.085, V = 0.557 },
    ["data/ui_gfx/gun_actions/tau.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/telepathy.png"] = { H = 0.833, S = 0.287, V = 0.506 },
    ["data/ui_gfx/gun_actions/telepathy_field.png"] = { H = 0.109, S = 0.539, V = 0.953 },
    ["data/ui_gfx/gun_actions/telepathy_field_unidentified.png"] = { H = 0.654, S = 0.075, V = 0.682 },
    ["data/ui_gfx/gun_actions/teleportation.png"] = { H = 0.0, S = 0.0, V = 0.894 },
    ["data/ui_gfx/gun_actions/teleportation_field.png"] = { H = 0.562, S = 0.548, V = 0.945 },
    ["data/ui_gfx/gun_actions/teleportation_field_unidentified.png"] = { H = 0.653, S = 0.067, V = 0.698 },
    ["data/ui_gfx/gun_actions/teleport_cast.png"] = { H = 0.81, S = 0.115, V = 0.953 },
    ["data/ui_gfx/gun_actions/teleport_home.png"] = { H = 0.579, S = 0.28, V = 0.98 },
    ["data/ui_gfx/gun_actions/teleport_projectile.png"] = { H = 0.0, S = 0.0, V = 0.929 },
    ["data/ui_gfx/gun_actions/teleport_projectile_closer.png"] = { H = 0.556, S = 0.012, V = 0.957 },
    ["data/ui_gfx/gun_actions/teleport_projectile_short.png"] = { H = 0.0, S = 0.0, V = 0.941 },
    ["data/ui_gfx/gun_actions/teleport_projectile_static.png"] = { H = 0.0, S = 0.0, V = 0.937 },
    ["data/ui_gfx/gun_actions/teleport_projectile_unidentified.png"] = { H = 0.654, S = 0.072, V = 0.706 },
    ["data/ui_gfx/gun_actions/temporary_platform.png"] = { H = 0.814, S = 0.407, V = 0.925 },
    ["data/ui_gfx/gun_actions/temporary_wall.png"] = { H = 0.814, S = 0.407, V = 0.925 },
    ["data/ui_gfx/gun_actions/tentacle.png"] = { H = 0.672, S = 0.207, V = 0.549 },
    ["data/ui_gfx/gun_actions/tentacle_portal.png"] = { H = 0.81, S = 0.403, V = 0.827 },
    ["data/ui_gfx/gun_actions/tentacle_ray.png"] = { H = 0.672, S = 0.205, V = 0.573 },
    ["data/ui_gfx/gun_actions/tentacle_ray_enemy.png"] = { H = 0.052, S = 0.109, V = 0.576 },
    ["data/ui_gfx/gun_actions/tentacle_timer.png"] = { H = 0.627, S = 0.311, V = 0.643 },
    ["data/ui_gfx/gun_actions/tentacle_timer_unidentified.png"] = { H = 0.655, S = 0.083, V = 0.663 },
    ["data/ui_gfx/gun_actions/tentacle_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/thunderball.png"] = { H = 0.575, S = 0.43, V = 0.957 },
    ["data/ui_gfx/gun_actions/thunderball_unidentified.png"] = { H = 0.655, S = 0.08, V = 0.686 },
    ["data/ui_gfx/gun_actions/thunder_blast.png"] = { H = 0.556, S = 0.113, V = 0.624 },
    ["data/ui_gfx/gun_actions/thunder_blast_unidentified.png"] = { H = 0.655, S = 0.081, V = 0.675 },
    ["data/ui_gfx/gun_actions/timer.png"] = { H = 0.603, S = 0.311, V = 0.631 },
    ["data/ui_gfx/gun_actions/tiny_ghost.png"] = { H = 0.608, S = 0.192, V = 0.757 },
    ["data/ui_gfx/gun_actions/tntbox.png"] = { H = 0.023, S = 0.4, V = 0.569 },
    ["data/ui_gfx/gun_actions/tntbox_big.png"] = { H = 0.019, S = 0.419, V = 0.58 },
    ["data/ui_gfx/gun_actions/torch.png"] = { H = 0.074, S = 0.568, V = 0.898 },
    ["data/ui_gfx/gun_actions/torch_electric.png"] = { H = 0.539, S = 0.301, V = 0.886 },
    ["data/ui_gfx/gun_actions/torch_unidentified.png"] = { H = 0.655, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/touch_alcohol.png"] = { H = 0.086, S = 0.651, V = 0.831 },
    ["data/ui_gfx/gun_actions/touch_blood.png"] = { H = 0.0, S = 0.701, V = 0.694 },
    ["data/ui_gfx/gun_actions/touch_gold.png"] = { H = 0.129, S = 0.608, V = 1.0 },
    ["data/ui_gfx/gun_actions/touch_oil.png"] = { H = 0.086, S = 0.444, V = 0.565 },
    ["data/ui_gfx/gun_actions/touch_smoke.png"] = { H = 0.623, S = 0.367, V = 0.651 },
    ["data/ui_gfx/gun_actions/touch_water.png"] = { H = 0.6, S = 0.765, V = 0.902 },
    ["data/ui_gfx/gun_actions/toxic_to_acid.png"] = { H = 0.235, S = 0.529, V = 0.8 },
    ["data/ui_gfx/gun_actions/transmutation.png"] = { H = 0.794, S = 0.071, V = 0.941 },
    ["data/ui_gfx/gun_actions/trigger.png"] = { H = 0.104, S = 0.72, V = 0.937 },
    ["data/ui_gfx/gun_actions/trigger_hit_entity.png"] = { H = 0.207, S = 0.237, V = 0.812 },
    ["data/ui_gfx/gun_actions/trigger_hit_world.png"] = { H = 0.021, S = 0.444, V = 0.494 },
    ["data/ui_gfx/gun_actions/trigger_timer_5.png"] = { H = 0.681, S = 0.184, V = 0.745 },
    ["data/ui_gfx/gun_actions/t_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/t_shape_unidentified.png"] = { H = 0.655, S = 0.084, V = 0.655 },
    ["data/ui_gfx/gun_actions/unidentified.png"] = { H = 0.654, S = 0.073, V = 0.702 },
    ["data/ui_gfx/gun_actions/unstable_gunpowder.png"] = { H = 0.061, S = 0.687, V = 0.514 },
    ["data/ui_gfx/gun_actions/unstable_gunpowder_unidentified.png"] = { H = 0.656, S = 0.09, V = 0.655 },
    ["data/ui_gfx/gun_actions/vacuum_entities.png"] = { H = 0.593, S = 0.179, V = 0.549 },
    ["data/ui_gfx/gun_actions/vacuum_liquid.png"] = { H = 0.082, S = 0.537, V = 0.533 },
    ["data/ui_gfx/gun_actions/vacuum_powder.png"] = { H = 0.813, S = 0.244, V = 0.529 },
    ["data/ui_gfx/gun_actions/wall_horizontal.png"] = { H = 0.367, S = 0.488, V = 0.804 },
    ["data/ui_gfx/gun_actions/wall_square.png"] = { H = 0.351, S = 0.38, V = 0.867 },
    ["data/ui_gfx/gun_actions/wall_vertical.png"] = { H = 0.367, S = 0.488, V = 0.804 },
    ["data/ui_gfx/gun_actions/water_to_poison.png"] = { H = 0.671, S = 0.365, V = 0.859 },
    ["data/ui_gfx/gun_actions/water_trail.png"] = { H = 0.578, S = 0.871, V = 0.698 },
    ["data/ui_gfx/gun_actions/worm.png"] = { H = 0.616, S = 0.35, V = 0.549 },
    ["data/ui_gfx/gun_actions/worm_rain.png"] = { H = 0.61, S = 0.254, V = 0.541 },
    ["data/ui_gfx/gun_actions/w_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/w_shape_unidentified.png"] = { H = 0.643, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/x_ray.png"] = { H = 0.83, S = 0.324, V = 0.557 },
    ["data/ui_gfx/gun_actions/x_ray_unidentified.png"] = { H = 0.652, S = 0.059, V = 0.737 },
    ["data/ui_gfx/gun_actions/y_shape.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["data/ui_gfx/gun_actions/y_shape_unidentified.png"] = { H = 0.643, S = 0.082, V = 0.671 },
    ["data/ui_gfx/gun_actions/zeta.png"] = { H = 0.122, S = 0.55, V = 0.976 },
    ["data/ui_gfx/gun_actions/_unidentified.png"] = { H = 0.0, S = 0.0, V = 1.0 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/air_burst.png"] = { H = 0.618, S = 0.335, V = 0.796 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/arcane_vacuum.png"] = { H = 0.567, S = 0.246, V = 0.957 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/ascendant_fireball.png"] = { H = 0.937, S = 0.376, V = 0.961 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/blackhole_infusion.png"] = { H = 0.635, S = 0.421, V = 0.447 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/blade_shot.png"] = { H = 0.985, S = 0.379, V = 0.694 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/blood_aura.png"] = { H = 0.997, S = 0.576, V = 0.796 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/bloom_projectiles.png"] = { H = 0.235, S = 0.404, V = 0.776 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/bubble_projectiles.png"] = { H = 0.278, S = 0.033, V = 0.714 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/caltrops.png"] = { H = 0.0, S = 0.0, V = 0.451 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/chain_lightning.png"] = { H = 0.227, S = 0.107, V = 0.804 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/chain_shot.png"] = { H = 0.0, S = 0.0, V = 0.969 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/chasing.png"] = { H = 0.167, S = 0.004, V = 1.0 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/crystal_shot.png"] = { H = 0.729, S = 0.365, V = 1.0 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/darkflame_trail.png"] = { H = 0.837, S = 0.495, V = 0.412 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/energetic_projectiles.png"] = { H = 0.866, S = 0.623, V = 0.478 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/fire_skull.png"] = { H = 0.088, S = 0.411, V = 0.773 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/forceful_projectiles.png"] = { H = 0.0, S = 0.416, V = 0.82 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/force_module.png"] = { H = 0.31, S = 0.346, V = 0.318 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/frozen_core.png"] = { H = 0.555, S = 0.237, V = 0.961 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe.png"] = { H = 0.325, S = 0.453, V = 0.839 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe_burning.png"] = { H = 0.12, S = 0.763, V = 0.925 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe_concrete.png"] = { H = 0.0, S = 0.0, V = 0.69 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe_fire.png"] = { H = 0.079, S = 0.741, V = 1.0 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe_freezing.png"] = { H = 0.556, S = 0.513, V = 0.925 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/gas_globe_poison.png"] = { H = 0.746, S = 0.412, V = 1.0 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/heat_wave.png"] = { H = 0.09, S = 0.58, V = 0.961 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/hell_fire.png"] = { H = 0.087, S = 0.74, V = 0.965 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/iceshard.png"] = { H = 0.571, S = 0.086, V = 0.957 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/kill_duplicate_homing.png"] = { H = 0.208, S = 0.28, V = 0.784 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/knife.png"] = { H = 0.742, S = 0.622, V = 0.871 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/lightning_infusion.png"] = { H = 0.568, S = 0.264, V = 0.98 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/mushroom_cloud.png"] = { H = 0.973, S = 0.585, V = 0.624 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/pyre_enchantment.png"] = { H = 0.039, S = 0.751, V = 0.788 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/recall.png"] = { H = 0.773, S = 0.639, V = 0.816 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/rubber_coating.png"] = { H = 0.0, S = 0.0, V = 0.122 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/shardshot.png"] = { H = 0.107, S = 0.175, V = 0.941 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/shrapnel.png"] = { H = 0.023, S = 0.513, V = 0.443 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/slime_aura.png"] = { H = 0.776, S = 0.518, V = 0.765 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/slow_projectiles.png"] = { H = 0.085, S = 0.779, V = 0.78 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/snark.png"] = { H = 0.022, S = 0.508, V = 0.231 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/spiral_field.png"] = { H = 0.565, S = 0.554, V = 0.949 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/sticky.png"] = { H = 0.361, S = 0.281, V = 0.753 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/sticky_trigger.png"] = { H = 0.229, S = 0.332, V = 0.757 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/suffocation.png"] = { H = 0.667, S = 0.177, V = 0.953 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/suffocation_modifier.png"] = { H = 0.792, S = 0.173, V = 0.816 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/swarm_shot.png"] = { H = 0.015, S = 0.454, V = 0.769 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/toxic_aura.png"] = { H = 0.239, S = 0.518, V = 0.765 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/trail_of_rock_spirits.png"] = { H = 0.366, S = 0.234, V = 0.604 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/tremor_shot.png"] = { H = 0.061, S = 0.642, V = 0.58 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/void_shot.png"] = { H = 0.613, S = 0.476, V = 0.486 },
    ["mods/spellbound_bundle/files/gfx/ui_gfx/whisky_aura.png"] = { H = 0.095, S = 0.531, V = 0.702 }
}
